/* 01-12 - Gasto de consumo individual de los hogares
01 - Alimentos y bebidas no alcohólicas
02 - Bebidas alcohólicas, tabaco y narcóticos
03 - Ropa y calzado
04 - Vivienda , agua , electricidad , gas y otros combustibles
05 - Mobiliario , equipamiento del hogar y mantenimiento rutinario de los hogares
06 - Salud
07 - Transporte
08 - Comunicación
09 - Recreación y cultura
10 - Educación
11 - Restaurantes y hoteles
12 - Otros bienes y servicios */

use "$path_epf\BASE_GASTOS_VIII_EPF.dta", clear   //   2016-2017  //
replace FE=ceil(FE)
egen folio = group(FOLIO_V FOLIO)
drop if (CCIF=="04.2.1.01.01" | CCIF=="04.2.2.01.01" | CCIF=="04.2.2.01.02") //Se quitan los códigos asociados al arriendo imputado
collapse (sum) GASTO, by(FOLIO_V FOLIO folio D)   // [fw=FE]
destring D, replace force
drop if D==.
rename GASTO GASTO_D
reshape wide GASTO_D, i(FOLIO_V FOLIO folio) j(D)
egen GASTOT=rowtotal(GASTO*) //egen gasto_dur = rowtotal( GASTO_D3 GASTO_D4 GASTO_D5 GASTO_D6 ) g gasto_ndur=GASTOT-gasto_dur
g folio_v = FOLIO_V
destring folio_v, replace force
g hogar = substr(FOLIO,-1,.)
destring hogar, replace force 
drop folio FOLIO_V FOLIO
save "$path_s0\data_results\\gastos_hogar.dta", replace  //"$path_s0\\data_EPF\2017\gastos_hogar.dta"

use "$path_epf\BASE_PERSONAS_VIII_EPF.dta", clear    
char  _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
g factor_all=ceil(FE)
sum JHOGAR SEXO EDAD EDUE EDUNIVEL CAE PETG CAEG CISEG VP TVP GASTOT_HD_AI ING_TOTAL_HOG_HD_AI ING_DISP_HOG_HD_AI
egen folio = group(FOLIO_V FOLIO)
g folio_v = FOLIO_V
destring folio_v, replace force
g hogar = substr(FOLIO,-1,.)
destring hogar, replace force 
rename EDAD edad
g ytoth = ING_TOTAL_HOG_HD_AI 
g ln_ytoth = ln(ytoth)
g otp = VS
g cyaotp = VS
g vivprop = TVP
recode vivprop -100/0=0 1/2=1 3/8=0 9=1 10=0

bysort folio: egen numh=count(edad)
g aux_edad = (edad<=19)  // Nr of children, adults and seniors in household
g aux_edad1=(edad>19 & edad<=64)
g aux_edad2 = (edad>64)
bysort folio: egen num_men=sum(aux_edad)
recode num_men (3/.=3) // use 3 or 4 as upper bound
bysort folio: egen num_adult=sum(aux_edad1)
recode num_adult (4/.=4) // use 4 or 5 as upper bound
bysort folio: egen num_sen=sum(aux_edad2)
recode num_sen (1/.=1) // use 1 or 2 as upper bound
g edad5y = ceil(min(80,max(20,edad))/5) //ceil(min(80,edad)/5)
g tr_edad=0
replace tr_edad=1 if edad>=15 & edad<25
replace tr_edad=2 if edad>=25 & edad<35
replace tr_edad=3 if edad>=35 & edad<45
replace tr_edad=4 if edad>=45 & edad<55
replace tr_edad=5 if edad>=55 & edad<65
replace tr_edad=5 if edad>=65   // Tramos de edad 2 - Young, Middle Age, Old
g tr_edad2 = tr_edad
recode tr_edad2 1/2=1 3/4=2 5=3
g tedu = EDUE
recode tedu -100/10=1 11/12=2 13/15=3 16/17=4 18/.=5
g educ_ecf = EDUNIVEL
recode educ_ecf -100/8=1 9/11=2 12/13=3 14=4 15/17=5 18/.=1
tab tedu educ_ecf    //replace educ_ecf=max(educ_ecf,tedu) // discrepancy mostly for Postgraduate
g desem = CAE
recode desem -88/1=0 2=1 3=0 4=1 5/.=0
bysort folio: egen desem_h = max(desem)
egen ytot_ind = rowmax(INGDTD INGDTI INGDA INGDH INGDEMP INGDTCP INGDNP INGDPI INGDJ INGDOTA INGDOTI)
g ytot_ind0 = ytot_ind if desem==0
bysort JHOGAR SEXO educ_ecf edad5y: egen ytot_ind00 = median(ytot_ind0)
replace ytot_ind00=max(ytot_ind00,ytot_ind)
bysort folio: egen ytoth_pi=total(ytot_ind00)
replace ytoth_pi = max(ytoth_pi, ytoth)
g ln_ytoth_pi = ln(ytoth_pi)
drop ytot_ind0 ytot_ind00
save "$path_s0\data_results\EPF2017_HHallmembers.dta", replace

keep if JHOGAR==1 //Only keep HHs
keep if  ID_MISSING==0  // No HHs with unreported income 
// Quintile of Income
xtile quintile_h = ytoth [fw=factor_all], nq(5)  // ytoth ING_TOTAL_HOG_HD_AI ING_DISP_HOG_HD_AI
bysort quintile_h: sum GASTOT_HD ING_DISP_HOG_HD [fw=factor_all], d // GASTOT_FNR INGDHOG_HD INGDHOG_HD_AI
g expenses_above_income = (GASTOT_HD > ING_DISP_HOG_HD) if GASTOT_HD<. & ING_DISP_HOG_HD<.
bysort quintile_h: sum expenses_above_income [fw=factor_all]

g expenses_cat = 100*GASTOT_HD/ING_DISP_HOG_HD
recode expenses_cat 0/80=1 80.000001/90=2 90.000001/100=3 100.000001/110=4 110.000001/120=5 120/.=6
tab expenses_cat ,miss
g population=1

sum folio
joinby folio_v hogar using "$path_s0\data_results\\gastos_hogar.dta", unmatched(both) update  //"$path_s0\\data_EPF\2017\gastos_hogar.dta"
tab _merge
keep if _merge==3
drop _merge   //collapse (sum) population (mean) [fw=factor_all], by(quintile_h expenses_cat)
sum GASTOT GASTOT_HD GASTOT_* [fw=factor_all]
pwcorr GASTOT GASTOT_HD GASTOT_* [fw=factor_all]  // Great! GASTOT and GASTOT_HD are the same
g ln_GASTOT = ln(GASTOT)
reg ln_GASTOT ln_ytoth ln_ytoth_pi vivprop otp desem desem_h num_men num_adult num_sen i.(edad5y educ_ecf)
outreg2 using "$path_g3\\\\\LnGastos.xls", replace
matrix define bG=e(b)
g p05_GASTOT = GASTOT
g p95_GASTOT = GASTOT
forvalues x = 1/12 { //foreach var of varlist GASTO_D* {
g p05_GASTO_D`x' = GASTO_D`x'
g p95_GASTO_D`x' = GASTO_D`x'
g ln_GASTO_D`x' = ln(GASTO_D`x') //g ln_`var' = ln(`var')
reg ln_GASTO_D`x' ln_ytoth ln_ytoth_pi vivprop otp desem desem_h num_men num_adult num_sen i.(edad5y educ_ecf)
outreg2 using "$path_g3\\\\\LnGastos.xls", append
matrix define bG`x'=e(b)
} 
g HandToMouth = ( ln_GASTOT > ln_ytoth) if ln_ytoth<. & ln_GASTOT<.
logit HandToMouth ln_ytoth ln_ytoth_pi vivprop otp desem desem_h num_men num_adult num_sen i.(edad5y educ_ecf)
outreg2 using "$path_g3\\\\\LnGastos.xls", append
matrix define bG_htm=e(b)
matrix dir
save "$path_s0\data_results\gastos_hogar_demoINC.dta", replace  // "$path_s0\\data_EPF\2017\gastos_hogar_demoINC.dta"

use "$path_s0\data_results\gastos_hogar_demoINC.dta", clear
collapse (p5) p05_* (p95) p95_* [fw=factor_all], by(edad5y educ_ecf num_men num_adult num_sen vivprop otp)
save "$path_s0\data_results\pctiles1_cons_05_95.dta", replace
use "$path_s0\data_results\gastos_hogar_demoINC.dta", clear
collapse (p5) p05_* (p95) p95_* [fw=factor_all], by(edad5y educ_ecf numh)
save "$path_s0\data_results\pctiles2_cons_05_95.dta", replace
use "$path_s0\data_results\gastos_hogar_demoINC.dta", clear
collapse (p5) p05_* (p95) p95_* [fw=factor_all], by(edad5y educ_ecf)
save "$path_s0\data_results\pctiles3_cons_05_95.dta", replace
