set more off
global inc_current_adj = 1
global pcrate=0.10 // Pension contribution rate 
global tope_2013 = 1606543 
global discount_factor = 1/1.04

clear    //    //    // 
import excel "$path_epf2\Chile_CELADE2013_sel.xlsx", sheet("Life expectancy") firstrow
drop y2060-y2095
foreach num of numlist 1995(5)2050 {
local num4 = `num'+5
forv num2=1/4 {
local num3 = `num'+`num2'
g y`num3' = ((5-`num2')/5)*y`num' + ((`num2')/5)*y`num4' 
}
}
reshape long y, i(sexo edad) j(year)
rename y life_expectancy
keep if edad==60
drop edad
drop if year==1995
rename life_expectancy life_expectancy60
g life_expectancy0 = ceil(60+life_expectancy60)
save "$path_epf2\Chile_CELADE_lifeexp.dta", replace

use "$path4b\expenditures_${data_save_emp}_all.dta", clear
egen folio_hogar = group(hogar year)
order *sect year quarter, last
capture drop dif_vi pr_est aux_* sh_inc-dec_renta time-sd_inc2_i
capture drop zona region cla* ZONA-ID_MISSING
capture drop gasto_tot gasto_durable gasto_no_durable
replace sector_ind=3 if sector_ind==.
g gasto_tot = consumo_total
g gasto_durable = Durable
g dummy_durable = (Durable>0)
g gasto_no_durable = consumo_NDur_Ser_SDur  //consumo_NDur_Ser
g desem2 = desem
bysort desem2: sum ingreso_laboral_individual, d
bysort desem2: sum ingreso_laboral_individual if ingreso_laboral_individual>0 
g spouse_partner_hhead = (parentesco>=2 & parentesco<=3) if year>=2007
replace spouse_partner_hhead = (parentesco>=2 & parentesco<=2) if year<2007
bysort folio_hogar: egen spouse_partner_hhead2 = max(spouse_partner_hhead) 
g ytot_ind = ingreso_total
replace ytot_ind = max(ytot_ind,ingreso_laboral_individual)  // ytot_ind ytot_ind2
g ytot_ind3 = max(0,ytot_ind,ytot_ind2) if sexo==1 & edad>18
g ytot_ind4 = max(0,ytot_ind,ytot_ind2) if sexo==2 & edad>18
bysort folio_hogar: egen income_male_spouse = max(ytot_ind3)
bysort folio_hogar: egen income_female_spouse = max(ytot_ind4)
g sexo_adult=sexo if edad>18
bysort folio_hogar: egen female_dummy = max(sexo_adult)
tab female_dummy
replace female_dummy = (female_dummy==2)
tab female_dummy
bysort folio_hogar: egen male_dummy = min(sexo_adult)
replace male_dummy = (male_dummy==1)
tab male_dummy
g edad_temp = edad if ytot_ind3==income_male_spouse
bysort folio_hogar: egen age_male_spouse = max(edad_temp) 
g edad_temp2 = abs(age_male_spouse - edad) if sexo==2 & edad>18  
bysort folio_hogar: egen age_female_spouse_dif = min(edad_temp2) 
g edad_temp3 = edad if sexo==2 & age_female_spouse_dif==edad_temp2
bysort folio_hogar: egen age_female_spouse = max(edad_temp3) 
g male_spouse_dummy = (income_male_spouse>=0 & income_male_spouse<.) if num_adult>=2 & female_dummy==1 & male_dummy==1 & spouse_partner_hhead2==1
replace male_spouse_dummy = 0 if male_spouse_dummy==.
replace male_spouse_dummy = 0 if age_female_spouse_dif>=16
g female_spouse_dummy = (income_female_spouse>=0 & income_female_spouse<.) if num_adult>=2 & female_dummy==1 & male_dummy==1 & spouse_partner_hhead2==1
replace female_spouse_dummy = 0 if female_spouse_dummy==.
replace female_spouse_dummy = 0 if age_female_spouse_dif>=16
tab male_spouse_dummy
g ocup_female_spouse = (desem2==0 & income_female_spouse>0 & income_female_spouse<.) if male_spouse_dummy==1
replace ocup_female_spouse = 0 if ocup_female_spouse==.
drop edad_tem* sexo_adu //age_f age_m //female_dum ytot_ind3 ytot_ind4 
g couple_d = (num_adul>=2)
g d_child = (num_men>=1)
g quintile_h_original = quintile_h
bysort folio_hogar: egen q1 = max(quintile_h)
replace quintile_h = q1 if quintile_h==.
replace quintile_h = quintile_re if quintile_h==.
capture replace quintile_h = quintil_ing if quintile_h==.
save "$path4b\expenditures_${data_save_emp}_all2.dta", replace

//  Labor Force Participation and Informal Work
g Female_LFP = ( income_female_spouse>0 & income_female_spouse<. )  //FE_x_cum FE_x_cum_PSS
replace Female_LFP = min(Female_LFP, ocup_female_spouse)
g Male_LFP = ( income_male_spouse>0 & income_male_spouse<. )
replace Female_LFP = . if female_dummy==0  |  female_dummy==.
replace Male_LFP = . if male_dummy==0  |  male_dummy==.
replace Female_LFP = .  if sexo==1  & couple_d==0  // HH is single Male
replace Male_LFP = .  if sexo==2  & couple_d==0  // HH is single Female

g ILFP = 1 if ingreso_trabajador_independiente>0 & ingreso_trabajador_independiente<. & ingreso_trabajador_dependiente==0 
replace ILFP = 1 if ingreso_trabajador_independiente>0 & ingreso_trabajador_independiente<. & ingreso_trabajador_dependiente==.
replace ILFP = 0 if ocup==1 & ILFP==.
replace ILFP = 0 if ocup==1 & Female_LFP==1 & ILFP==. & sexo==2
replace ILFP = 0 if ocup==1 & Male_LFP==1 & ILFP==. & sexo==1
//
g ILFP3 = max(0,ILFP) if sexo==1 & edad>18
g ILFP4 = max(0,ILFP) if sexo==2 & edad>18
bysort folio_hogar: egen ILFP_male_spouse = max(ILFP3)
bysort folio_hogar: egen ILFP_female_spouse = max(ILFP4)
g Female_ILFP = 0 if Female_LFP==1 
replace Female_ILFP = 1 if ILFP_female_spouse==1 & Female_LFP==1 
g Male_ILFP = 0 if Male_LFP==1 
replace Male_ILFP = 1 if ILFP_male_spouse==1 & Male_LFP==1 
drop ILFP3 ILFP4
//
sum Female_LFP Male_LFP ILFP 
sum Female_LFP Male_LFP ILFP [fw=${factor_op}] 
log using "$path4b\LFP_ILFP_MaleShare.log", replace 
bysort sexo: sum Female_LFP Male_LFP ILFP 
bysort sexo: sum Female_LFP Male_LFP ILFP [fw=${factor_op}] 
bysort year sexo: sum Female_LFP Male_LFP ILFP 
bysort year sexo: sum Female_LFP Male_LFP ILFP [fw=${factor_op}] 
log close

do "$path_epf\format_codes\income_potential.do"
egen grupo_edad2=group(grupo_edad) if edad>=25 & edad<65
sum grupo_edad2
replace grupo_edad2=r(max) if edad>=65 & edad<.
do "$path_epf\format_codes\import_FE_PW_PW_past.do"
capture drop grupo_edad2 
save "$path4b\expenditures_${data_save_emp}_all3.dta", replace


use "$path4b\expenditures_${data_save_emp}_all3.dta", clear
do "$path_epf\format_codes\generate_FE_FENL_PW_PWpast_TW_hh.do"

log using "$path4b\EPF_FE_PW_stats.log", replace
sum a1 ytot_p_h ytoth_pi_exp ytoth_cons EI_s1 EI_s2 FE_s1 FE_s2 PW_male PW_female PW_male_past PW_female_past EI_hh FE_hh PW_hh PW_hh_past PW2_hh TotalW_hh PWI_hh PWI_hh_past PW2I_hh TotalWI_hh if a1==1 & edad>=25 & edad<=65
pwcorr ytot_p_h ytoth_pi_exp ytoth_cons  EI_s1 EI_s2 FE_s1 FE_s2 PW_male PW_female PW_male_past PW_female_past EI_hh FE_hh PW_hh PW_hh_past PW2_hh TotalW_hh PWI_hh PWI_hh_past PW2I_hh TotalWI_hh if a1==1 & edad>=25 & edad<=65
sum FENL_hh DS_FS2 EI_hh FE_hh PW_hh PW_hh_past PW2_hh TotalW_hh if a1==1 & edad>=25 & edad<=64, d
sum FENL_hh DS_FS2 EI_hh FE_hh PW_hh PW_hh_past PW2_hh TotalW_hh if a1==1 & edad>=25 & edad<=64 & ytoth_cons>0 & ytoth_cons<., d
sum FENL_hh DS_FS2 EI_hh FE_hh PW_hh PW_hh_past PW2_hh TotalW_hh PWI_hh PWI_hh_past PW2I_hh TotalWI_hh if a1==1 & edad>=25 & edad<=64 [fw=${factor_op}]
pwcorr FENL_hh DS_FS2 EI_hh FE_hh PW_hh PW_hh_past PW2_hh TotalW_hh PWI_hh PWI_hh_past PW2I_hh TotalWI_hh if a1==1 & edad>=25 & edad<=64 [fw=${factor_op}]
log close

drop if pco1!=1        // unemp_rr_sect unemp_sect rr_inc_sect sd_ln_inc_sect
*recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
*       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16
drop if grupo_edad==.
drop if grupo_edad<=5
drop if grupo_edad>=14
drop if tr_edad2==.
egen grupo_edad2=group(grupo_edad)
tab num_adul, g(d_nadult)
tab num_men, g(d_nmen)
tab grupo_edad2, g(d_edad)
tab tr_edad2, g(dt_edad)
tab male_spouse_dummy
tab ocup_female_spouse 
sum gasto_tot gasto_durable gasto_no_durable Durable Semi_Durable consumo_Ser No_Durable educacion_gasto gtos_medicos [fw=${factor_op}], d  // gtos_financieros dividendos
sum unemp_sect rr_inc_sect sd_ln_inc_sect, d

local cond_vars "zona2 num_adul num_men num_sen grupo_edad2" // num_adul num_adul2 tr_edad2 vivprop desem2 tedu quintile_h grupo_edad grupo_edad2
sum ytoth_cons if ytoth_cons>0
replace ytoth_cons = ln( ytoth_cons + abs(r(min)) + 1000 )
drop ytoth
g ytoth = ytoth_cons
do "$path_epf\format_codes\generate_log_Wealth.do"

foreach x in unemp_sect sd_ln_inc_sect rr_inc_sect {
sum `x' if  `x'>0, d
replace `x' = max( r(min),  `x' ) if `x'<.
replace `x' = min( r(p95),  `x' ) if `x'<.
replace `x' = 0 if desem2==.  //replace `x' = 0 if desem2==1
}
sum gasto* unemp_sect rr_inc_sect sd_ln_inc_sect [fw=${factor_op}], d
sum zona2 sexo sector_ind tedu educ tr_edad quintile_h
g unemp_rr_sect = unemp_sect*(1-rr_inc_sect) //replace unemp_rr_sect = rr_inc_sect if desem2==1  //replace unemp_rr_sect = ln( unemp_rr_sect + abs(r(min)) + 1 ) if desem2==0
sum unemp_rr_sect if unemp_rr_sect>0
foreach var_c in no_durable tot durable {  //tot durable no_durable
sum gasto_`var_c'
replace gasto_`var_c' = log( gasto_`var_c' + abs(r(min)) + 1000 )

local vars_reg "i.(grupo_edad2)#c.(ytoth sd_ln_inc_sect)" // "ytoth sd_ln_inc_sect" // other vars: unemp_rr_sect unemp_sect rr_inc_sect //ytoth_cons ytot_p_h ytoth ytoth_pi_exp
reg gasto_`var_c' `vars_reg' i.(`cond_vars'), vce(robust)
reg gasto_`var_c' `vars_reg' i.(`cond_vars') [pw=${factor_op}]    //[pw=${factor_op}], vce(jackknife, nodots)
}
//   //
sum ing*
pwcorr yai ingreso_propiedad
pwcorr ingreso_tra*
g ytoth_current = ln( max(0,ingreso_trabajo_dependiente) + max(0,ingreso_trabajo_independiente) + max(0,yai) + max(0,yaotp) + max(0,yact) + max(0, transferencias) )
sum ytoth if ytoth_current==., d
replace ytoth_current = ytoth if ytoth_current==.
log using "$path4b\EPF_FE_PW_stats.log", append
sum ytoth_current ytoth
pwcorr ytoth_current ytoth
if ${inc_current_adj}==1 { 
replace ytoth_current = max(0, ytoth_current, ln(0.20*exp(ytoth)) )  // 0.20 0.30 0.45 0.67 // 0.20 0.28 0.39 0.50 //0.20 0.24 0.34 0.45 //0.20 0.24 0.32 0.40 //0.20 0.24 0.32 0.40 //0.20 0.24 0.30 0.38
replace ytoth_current = max(0, ytoth_current, ln(0.24*exp(ytoth)) ) if Female_LFP==1
replace ytoth_current = max(0, ytoth_current, ln(0.29*exp(ytoth)) ) if Male_LFP==1
replace ytoth_current = max(0, ytoth_current, ln(0.35*exp(ytoth)) ) if Male_LFP==1 & Female_LFP==1
}
sum ytoth_current ytoth
pwcorr ytoth_current ytoth
log close
foreach var of varlist ln_FE_hh_y ln_FENL_hh_y ln_PW_hh_y ln_PW_hh_past_y ln_PW2_hh_y ln_PWI_hh_y ln_PWI_hh_past_y ln_PW2I_hh_y ln_PW2_APS_y ln_PW2_tax_y ln_PW2I_APS_y ln_PW2I_tax_y {
replace `var'=0 if `var'==.
}
drop income_male_spouse_pot income_female_spouse_pot y_ind_pot1 y_ind_pot2
save "$path4b\expenditures_${data_save_emp}_all4.dta", replace
