pr def esi_format
    args year year_ref
	
//  Format each Panel ESI year
g year = `year'
g quarter = 4
g zona2 = zona2_`year_ref'  // Strata
replace zona2 = zona2_`year' if zona2==.
replace zona2 = 2 if zona2==.
g quintile_h  = quintile_h_`year_ref'
replace quintile_h  = quintile_h_`year' if quintile_h==.
g sector_ind = sector_ind_`year_ref'
replace sector_ind = sector_ind_`year' if sector_ind==.
g actividad = actividad_`year_ref'
replace actividad = actividad_`year' if actividad==.
g tr_edad=edad // Tramos de edad
recode tr_edad 0/14=0 15/24=1 25/34=2 35/44=3 45/54=4 55/.=5 
g tr_edad2 = tr_edad  // Tramos de edad 2 - Young, Middle Age, Old
recode tr_edad2 1/2=1 3/4=2 5=3
g grupo_edad = edad
recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16
egen id_strata = group(zona2 quintile_h sexo educ tr_edad2 sector_ind)

sum zona2  // Quintile of individual workers
local z_min =r(min)
local z_max =r(max)
g dec_renta0 = .
g dec_renta1 = .
forv k=`z_min'/`z_max' {
xtile dec_renta0_0 = ing_tot_`year' if unemployed_`year'==0 & ing_tot_`year'>0 & zona2==`k' [fw=factor_esi], nq(10)
xtile dec_renta1_0 = ing_tot_`year' if unemployed_`year'==1 & ing_tot_`year'>0 & zona2==`k' [fw=factor_esi], nq(10)
replace dec_renta0 = dec_renta0_0 if dec_renta0==.
replace dec_renta1 = dec_renta1_0 if dec_renta1==.
drop dec_renta0_0 dec_renta1_0
}
replace dec_renta0 = decil_h_`year' if dec_renta0==. & unemployed_`year'==0
replace dec_renta1 = decil_h_`year' if dec_renta1==. & unemployed_`year'==1
replace dec_renta0 = decil_h_`year_ref' if dec_renta0==. & unemployed_`year'==0
replace dec_renta1 = decil_h_`year_ref' if dec_renta1==. & unemployed_`year'==1
replace dec_renta0 = 1 if dec_renta0==. & unemployed_`year'==0
replace dec_renta1 = 1 if dec_renta1==. & unemployed_`year'==1
g dec_renta=dec_renta0 if unemployed_`year'==0
replace dec_renta=dec_renta1 if unemployed_`year'==1 
replace dec_renta=1 if ing_tot_`year'==0 
g quintile_renta = ceil(dec_renta/2)

sum ing_tot_`year_ref' [fw=factor_esi]  // Log-Income and Wage
local adj_gr = r(mean) 
sum ing_tot_`year' [fw=factor_esi]
local adj_gr = r(mean)/`adj_gr' 
g ln_wage_t1 = ln(wage_all_`year')
g ln_wage_t0 = ln(wage_all_`year_ref'*`adj_gr' )
g ln_inc_t1 = ln(ing_tot_`year')
g ln_inc_t0 = ln(ing_tot_`year_ref'*`adj_gr' )

/*   // Drop - Non-workers
keep if labor_force_p_`year'==1 & labor_force_p_`year_ref'==1
keep if unemployed_`year'==0 & unemployed_`year_ref'==0
drop if ln_wage_t0==. | ln_inc_t0==. | ln_wage_t1==. | ln_inc_t1==.
// This drops unlikely wage changes
drop if wage_all_`year'<wage_all_`year_ref'*0.70 & wage_all_`year_ref'<. & wage_all_`year'<.
*drop if wage_all_`year'<wage_all_`year_ref'*0.80 & wage_all_`year_ref'<. & wage_all_`year'<.
*drop if ing_tot_`year'<ing_tot_`year_ref'*0.95 & ing_tot_`year_ref'<. & ing_tot_`year'<.
*drop if ln_wage_t1<ln_wage_t0-0.05       */

joinby year quarter using "D:\DAT\DPF\Analisis Financiero\Sector Hogares\EFH\Proyectos\2010_Household Risk\simulation_time\uf_inf2.dta", update unmatched(master) 
g r_wage_gain = (ln_wage_t1-ln_wage_t0-log_inflation)
*drop if r_wage_gain>0.40 & r_wage_gain<.   // drop if ln_wage_t1>ln_wage_t0+0.35 & ln_wage_t1<.

rename wage_all_`year' wage_t1
rename wage_all_`year_ref' wage_t0
rename ing_tot_`year' ing_tot_t1
rename ing_tot_`year_ref' ing_tot_t0    //   //   // 
rename nr_hh_members_`year_ref' numh_t0
rename labor_force_p_`year_ref' labor_force_p_t0
rename employed_`year_ref' employed_t0
rename unemployed_`year_ref' unemployed_t0
rename wage_main_`year_ref' wage_main_t0
rename wage_main_hh_`year_ref' wage_main_hh_t0
rename wage_all_hh_`year_ref' wage_all_hh_t0
rename ytoth_`year_ref' ytoth_t0 
rename nr_hh_members_`year' numh_t1
rename labor_force_p_`year' labor_force_p_t1
rename employed_`year' employed_t1
rename unemployed_`year' unemployed_t1
rename wage_main_`year' wage_main_t1
rename wage_main_hh_`year' wage_main_hh_t1
rename wage_all_hh_`year' wage_all_hh_t1
rename ytoth_`year' ytoth_t1

g Informal_LFP_t1 = 0 if labor_force_p_t1==1 | labor_force_p_t0==1
replace Informal_LFP_t1 = 1 if cp_total_`year'>0 & cp_total_`year'<. & wage_t1==0
replace Informal_LFP_t1 = 1 if cp_total_`year'>0 & cp_total_`year'<. & wage_t1==.
replace Informal_LFP_t1 = 0 if cp_total_`year_ref'>0 & cp_total_`year_ref'<. & wage_t0==0 & Informal_LFP_t1==.
replace Informal_LFP_t1 = 0 if cp_total_`year_ref'>0 & cp_total_`year_ref'<. & wage_t0==. & Informal_LFP_t1==.
g Informal_LFP_t0 = 0 if labor_force_p_t1==1 | labor_force_p_t0==1
replace Informal_LFP_t0 = 1 if cp_total_`year_ref'>0 & cp_total_`year_ref'<. & wage_t0==0
replace Informal_LFP_t0 = 1 if cp_total_`year_ref'>0 & cp_total_`year_ref'<. & wage_t0==.
replace Informal_LFP_t0 = 0 if cp_total_`year'>0 & cp_total_`year'<. & wage_t1==0 & Informal_LFP_t0==.
replace Informal_LFP_t0 = 0 if cp_total_`year'>0 & cp_total_`year'<. & wage_t1==. & Informal_LFP_t0==.
replace Informal_LFP_t0 = 0 if Informal_LFP_t1<. & Informal_LFP_t0==.
replace Informal_LFP_t1 = 0 if Informal_LFP_t0<. & Informal_LFP_t1==.

rename cp_total_`year_ref' cp_total_t0
rename cp_total_`year' cp_total_t1

foreach yvar in wage  { // inc  // For now I focus on labor income (Total Wage)
g `yvar'_drop = (`yvar'_t1<`yvar'_t0) if `yvar'_t1<. & `yvar'_t0<.  //g `yvar'_drop = (ln_`yvar'_t1<ln_`yvar'_t0) if ln_`yvar'_t1<. & ln_`yvar'_t0<.
g `yvar'_increase = (ln_`yvar'_t1>ln_`yvar'_t0) if ln_`yvar'_t1<. & ln_`yvar'_t0<.
}
keep year zona2 quar* edad r_wage_gain quintile_h quintile_renta sexo educ tr_edad tr_edad2 sector_ind actividad grupo_edad numh* log_inflation /// 
ln_wage_t1 ln_wage_t0 wage_t1 wage_t0 cp_total_t0 cp_total_t1 factor_esi id_hogar id_strata wage* labor* unemp* emp* yto* Informal_LFP* //ing_tot_t1 ing_tot_t0

end
