// 2 - Do regressions on Panel ESI of workers using all years
set more off
capture log close
use "$path_epf\data_results\panel_esi_allFLP.dta", clear
bysort year: sum Inf*  [fw=factor_esi]
bysort year: sum Inf* 
drop if Informal_LFP_t1==.  |  Informal_LFP_t0==.
*drop if labor_force_p_t1==.  |  labor_force_p_t0==.
drop if labor_force_p_t1==.  &  labor_force_p_t0==.
drop if grupo_edad<=5
drop if grupo_edad>=14
drop if educ==.  |  tr_edad2==.
drop if year>=2010
bysort year: sum Inf*  [fw=factor_esi]
replace numh_t0 = min(7, numh_t0, numh_t1) if numh_t0<.
*replace numh_t0 = min(5, numh_t0, numh_t1) if numh_t0<.
replace numh_t0 = 1 if numh_t0==.
tab grupo_edad tr_edad
sum lab* emp* une* id*
tab employed_t1 unemployed_t1  // tab employed_t0 unemployed_t0
sum wage_t0 if wage_main_t0>0  // wage_main_t1, wage_main_t0 seem to be more reliable variables
pwcorr wage_t0 wage_main_t0 if wage_main_t0>0  // pwcorr wag* if wage_main_t0>0 & wage_main_t1>0
sum wage* ln*  if wage_main_t0>0 & wage_main_t1>0
g ln_labor_earnings_t0 = max(  ln(wage_main_t0), ln_wage_t0 , ln(wage_t0), ln(cp_total_t0) )
egen grupo_edad2=group(grupo_edad)

log using "$path4b\\esi_Informal_FLP_regs.log", replace
tab year
tab grupo_edad2
tab numh_t0
bysort year: sum Inf*  [fw=factor_esi]
bysort sexo: sum Inf*  [fw=factor_esi]

// Women
bysort Informal_LFP_t0: sum Informal_LFP_t1 if sexo==2 [fw=factor_esi]
probit Informal_LFP_t1 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==2 [pw=factor_esi]  // sector_ind (may or not be included)
predict ILFP_Women_PSS if sexo==2 
probit Informal_LFP_t1 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==2 & Informal_LFP_t0==1 [pw=factor_esi]  // sector_ind (may or not be included)
predict ILFP_Women_P1 if sexo==2 & Informal_LFP_t0==1
probit Informal_LFP_t1 ln_labor_earnings_t0 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==2 & Informal_LFP_t0==1 [pw=factor_esi] // sector_ind (may or not be included)
outreg2 using "$path_epf\\data_results\\ILFP_ols.xls", replace
matrix bc0 = e(b)'
svmat double bc0, name(probit_ILFP_Wt1)
probit Informal_LFP_t1 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==2 & Informal_LFP_t0==0 [pw=factor_esi]  // sector_ind (not included, because it is unreported in t0)
outreg2 using "$path_epf\\data_results\\ILFP_ols.xls", append
predict ILFP_Women_P0 if sexo==2 & Informal_LFP_t0==0
sum ILFP_Women_PSS ILFP_Women_P1 ILFP_Women_P0, d

// Men
bysort Informal_LFP_t0: sum Informal_LFP_t1 if sexo==1 [fw=factor_esi]
probit Informal_LFP_t1 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==1 & Informal_LFP_t0==1 [pw=factor_esi]  // sector_ind
predict ILFP_Men_P1 if sexo==1 & Informal_LFP_t0==1
probit Informal_LFP_t1 ln_labor_earnings_t0 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==1 & Informal_LFP_t0==1 [pw=factor_esi]  // sector_ind (may or not be included)
outreg2 using "$path_epf\\data_results\\ILFP_ols.xls", append
matrix bc0 = e(b)'
svmat double bc0, name(probit_ILFP_Mt1)
probit Informal_LFP_t1 i.(year) i.(numh_t0 zona2 educ grupo_edad2) if sexo==1 & Informal_LFP_t0==0 [pw=factor_esi] // sector_ind
outreg2 using "$path_epf\\data_results\\ILFP_ols.xls", append
predict ILFP_Men_P0 if sexo==1 & Informal_LFP_t0==0
sum ILFP_Men_P1 ILFP_Men_P0, d

save "$path_epf\data_results\panel_Informal_FLP2.dta", replace 
log close


// 3 - Create Summary data
local var_list_esi0 "constant"
local var_list_esi1 "zona2 grupo_edad2 educ quintile_h"  //grupo_edad 
local var_list_esi2 "zona2 sector_ind grupo_edad2 educ quintile_h"
local var_list_esi3 "zona2 grupo_edad2 educ"
foreach i of numlist 0 1 2 3 {
use "$path_epf\data_results\panel_Informal_FLP2.dta", clear
collapse (mean) ILFP* [fw=factor_esi], by("`var_list_esi`i''")
save "$path_epf\data_results\ILFP_`i'.dta", replace
}
use "$path_epf\data_results\panel_Informal_FLP2.dta", clear
keep probit* 
drop if probit_ILFP_Wt1==. & probit_ILFP_Mt1==.
foreach i of numlist 1991 1992/1993 1997/2005 2008 {  //Keep just 2009 dummy,,  2008/2009 2011
drop if _n==2
}
save "$path_epf\data_results\ILFP_Wage_coefs.dta", replace
