// 2 - Do regressions on Panel ESI of workers using all years
capture log close
use "$path_epf\data_results\panel_esi_allFLP.dta", clear
drop if labor_force_p_t1==.  |  labor_force_p_t0==.
drop if grupo_edad<=5
drop if grupo_edad>=14
drop if grupo_edad>=11
*recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
*       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16
drop if educ==.  |  tr_edad2==.
replace numh_t0 = min(7, numh_t0, numh_t1) if numh_t0<.
replace numh_t0 = 1 if numh_t0==.
tab grupo_edad tr_edad
sum lab* emp* une* id*
tab employed_t1 unemployed_t1  // tab employed_t0 unemployed_t0
sum wage_t0 if wage_main_t0>0  // wage_main_t1, wage_main_t0 seem to be more reliable variables
pwcorr wage_t0 wage_main_t0 if wage_main_t0>0  // pwcorr wag* if wage_main_t0>0 & wage_main_t1>0
sum wage* ln*  if wage_main_t0>0 & wage_main_t1>0
g ln_labor_earnings_t0 = max(  ln(wage_main_t0), ln_wage_t0 , ln(wage_t0) )
egen grupo_edad2=group(grupo_edad)
g ln_wage_gr0 = ln_wage_t1 - ln_wage_t0
g ln_wage_gr = ln(wage_main_t1) - ln(wage_main_t0)
// Drop - Non-workers  + unlikely wage changes
keep if labor_force_p_t1==1 &  labor_force_p_t0==1
keep if unemployed_t1==0 & unemployed_t0==0
drop if ln_wage_t0==.  | ln_wage_t1==. 
drop if wage_main_t1<wage_main_t0*0.70 & wage_main_t1<. & wage_main_t0<.
drop if ln_wage_gr==. & ln_wage_gr0==.
drop if r_wage_gain>0.40 & r_wage_gain<.
drop if r_wage_gain<-0.40 & r_wage_gain<.
g year_original = year

log using "$path4b\\esi_panel_IncomeGrowth_regs.log", replace
tab year
tab grupo_edad2
// Women
reg ln_wage_gr0 i.(year) i.(zona2 educ grupo_edad2) if sexo==2 [pw=factor_esi]  // sector_ind  quintile_h
outreg2 using "$path_epf\\data_results\\lnwage_ols.xls", replace
replace year = min(2000, year_original)  //2012
predict ln_wage_gr0_pW if sexo==2
matrix bc0 = e(b)'
svmat double bc0, name(ols_LnWageGR_W0)
replace year = year_original
reg ln_wage_gr i.(year) i.(zona2 educ grupo_edad2) if sexo==2 [pw=factor_esi]   // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr_pW if sexo==2
matrix bc0 = e(b)'
svmat double bc0, name(ols_LnWageGR_W)
replace year = year_original

// Men
reg ln_wage_gr0 i.(year) i.(zona2 educ grupo_edad2) if sexo==1 [pw=factor_esi] // sector_ind  quintile_h
outreg2 using "$path_epf\\data_results\\lnwage_ols.xls", append
replace year = min(2000, year_original)  //2012
predict ln_wage_gr0_pM if sexo==1
matrix bc0 = e(b)'
svmat double bc0, name(ols_LnWageGR_M0)
replace year = year_original
reg ln_wage_gr i.(year) i.(zona2 educ grupo_edad2) if sexo==1 [pw=factor_esi] // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr_pM if sexo==1
matrix bc0 = e(b)'
svmat double bc0, name(ols_LnWageGR_M)
replace year = year_original

save "$path_epf\data_results\panel_esi_WageGrowth.dta", replace 
log close

local vars1 "zona2 educ grupo_edad2 sector_ind quintile_h"
local vars2 "zona2 educ grupo_edad2 quintile_h"
local vars3 "educ grupo_edad2"
quietly {
foreach xfac of varlist factor_esi constant {
foreach i of numlist 1 2 3 {
// Women
reg ln_wage_gr0 i.(year) i.(`vars`i'') if sexo==2 [pw=`xfac']  // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr0_pW_temp if sexo==2
replace year = year_original
reg ln_wage_gr i.(year) i.(`vars`i'') if sexo==2 [pw=`xfac']   // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr_pW_temp if sexo==2
replace year = year_original

// Men
reg ln_wage_gr0 i.(year) i.(`vars`i'') if sexo==1 [pw=`xfac'] // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr0_pM_temp if sexo==1
replace year = year_original
reg ln_wage_gr i.(year) i.(`vars`i'') if sexo==1 [pw=`xfac'] // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr_pM_temp if sexo==1
replace year = year_original

// Both
reg ln_wage_gr0 i.(year) i.(sexo `vars`i'')  [pw=`xfac'] // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr0_pW_temp2 if sexo==2
predict ln_wage_gr0_pM_temp2 if sexo==1
replace year = year_original
reg ln_wage_gr i.(year) i.(sexo `vars`i'') [pw=`xfac'] // sector_ind  quintile_h
replace year = min(2000, year_original)  //2012
predict ln_wage_gr_pW_temp2 if sexo==2
predict ln_wage_gr_pM_temp2 if sexo==1
replace year = year_original
//     //    //
foreach x of varlist ln_wage_gr0_pW  ln_wage_gr_pW ln_wage_gr0_pM  ln_wage_gr_pM {
g `x'_abs = abs(`x'-0.015)
g `x'_abs2 = abs(`x'_temp-0.015)
g `x'_abs3 = abs(`x'_temp2-0.015)
replace `x' = `x'_temp if `x'_abs>=`x'_abs2 & `x'_temp<.
}
drop *_temp *_temp2 *_abs *_abs2 *_abs3
}
}
}
save "$path_epf\data_results\panel_esi_WageGrowth.dta", replace 


// 3 - Create Summary data
local var_list_esi0 "constant"
local var_list_esi1 "zona2 grupo_edad2 educ quintile_h"  //grupo_edad 
local var_list_esi2 "zona2 sector_ind grupo_edad2 educ quintile_h"
local var_list_esi3 "zona2 grupo_edad2 educ"
foreach i of numlist 0 1 2 3 {
use "$path_epf\data_results\panel_esi_WageGrowth.dta", clear
// keep if year==2012
collapse (mean) ln_wage_gr0 ln_wage_gr0_pW ln_wage_gr0_pM [fw=factor_esi], by("`var_list_esi`i''") // ln_wage_gr ln_wage_gr_pW ln_wage_gr_pM
save "$path_epf\data_results\WageGR_`i'.dta", replace
}
use "$path_epf\data_results\panel_esi_WageGrowth.dta", clear
keep ols*
drop if ols_LnWageGR_W01==. & ols_LnWageGR_W1==. & ols_LnWageGR_M01==. & ols_LnWageGR_M1==.
foreach i of numlist 1991 1992/1993 1997/2005 2008/2009 2011 {  //Keep just 2012 dummy
drop if _n==2
}
drop ols_LnWageGR_W1 ols_LnWageGR_M1
save "$path_epf\data_results\WageGR_coefs.dta", replace

log using "$path4b\\esi_panel_IncomeGrowth_regs.log", append
use "$path_epf\data_results\WageGR_3.dta", clear
bysort gru: sum ln_wage_gr0*
log close

use "$path_epf\data_results\panel_esi_WageGrowth.dta", clear
sum edad
local d_max = r(max)
g population = 1
collapse (sum) population [fw=factor_esi], by(edad zona2 educ)
g grupo_edad = edad
recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16
egen grupo_edad2=group(grupo_edad)	   
joinby zona2 grupo_edad2 educ using "$path_epf\data_results\WageGR_3.dta", unmatched(master) update
tab _merge
drop _merge 
save "$path_epf\data_results\WageGR_3cum.dta", replace
save "$path_epf\data_results\data_temp0.dta", replace

forv k2=25/`d_max' { 
use "$path_epf\data_results\data_temp0.dta", clear
drop if edad>`k2'
g ln_wage_gr0cum = ln_wage_gr0
g ln_wage_gr0_pWcum = ln_wage_gr0_pW 
g ln_wage_gr0_pMcum = ln_wage_gr0_pM
collapse (sum) *cum, by(zona2 educ)
g edad=`k2'
save "$path_epf\data_results\data_temp.dta", replace
use "$path_epf\data_results\WageGR_3cum.dta", clear
joinby edad zona2 educ using "$path_epf\data_results\data_temp.dta", unmatched(master) update
tab _merge
drop _merge
save "$path_epf\data_results\WageGR_3cum.dta", replace
}  
use "$path_epf\data_results\WageGR_3cum.dta", clear
keep if edad==49
replace edad =50
replace ln_wage_gr0cum = ln_wage_gr0 + 0.01
replace ln_wage_gr0_pWcum = ln_wage_gr0_pW + 0.01
replace ln_wage_gr0_pMcum = ln_wage_gr0_pM + 0.01
collapse (sum) *cum, by(edad zona2 educ grupo_edad2)
save "$path_epf\data_results\data_temp.dta", replace
use "$path_epf\data_results\WageGR_3cum.dta", clear
joinby edad zona2 educ grupo_edad2 using "$path_epf\data_results\data_temp.dta", unmatched(master) update
tab _merge
drop _merge grupo_e*
save "$path_epf\data_results\WageGR_3cum.dta", replace

collapse *cum [fw=population], by(edad educ)
*replace ln_wage_gr0_pWcum = max( ln_wage_gr0_pWcum, 0.01*(edad-25), ln_wage_gr0_pMcum)
*replace ln_wage_gr0_pMcum = max( ln_wage_gr0_pMcum, 0.01*(edad-25))

/*xtset educ edad
label var edad "Age"
label var ln_wage_gr0_pWcum "Female Wage Growth"
label var ln_wage_gr0_pMcum  "Male Wage Growth"
label define educv 1 "Secondary or Less" 2 "Technical" 3 "College"
label values educ educv */
reshape wide ln_wage_gr0_pWcum ln_wage_gr0_pMcum ln_wage_gr0cum, i(edad) j(educ)
label var ln_wage_gr0_pWcum1 "Secondary or Less"
label var ln_wage_gr0_pWcum2 "Technical"
label var ln_wage_gr0_pWcum3 "College"
label var ln_wage_gr0_pMcum1 "Secondary or Less"
label var ln_wage_gr0_pMcum2 "Technical"
label var ln_wage_gr0_pMcum3 "College"
label var edad "Age"
tsset edad

*xtline ln_wage_gr0_pWcum, 
tsline ln_wage_gr0_pWcum*, ///
lp("l" "_..." "_-") lwidth(medthick medthick medthick) ///
ylabel(0(0.10)0.5) ytick(0(0.05)0.5)  ///
xlabel(25(5)50) xtick(25(5)50) ///
note("") title("Women") legend(cols(3) colgap(0.05) span forcesize) ytitle("") 
*byopts(note("") title("Women") legend(cols(3) colgap(0.05) span forcesize) ) ytitle("") 
graph save "$path_epf3\graph2.gph", replace  
graph export "$path_epf3\Women_WGR.emf", replace
graph export "$path_epf3\Women_WGR.png", replace
graph export "$path_g\Women_WGR.emf", replace
graph export "$path_g\Women_WGR.png", replace

*xtline ln_wage_gr0_pMcum, 
tsline ln_wage_gr0_pMcum*, ///
lp("l" "_..." "_-") lwidth(medthick medthick medthick) ///
ylabel(0(0.10)0.4) ytick(0(0.05)0.45)  ///
xlabel(25(5)50) xtick(25(5)50) ///
note("") title("Men") legend(cols(3) colgap(0.05) span forcesize) ytitle("") 
*byopts(note("") title("Men") legend(cols(3) colgap(0.05) span forcesize) ) ytitle("") 
graph save "$path_epf3\graph1.gph", replace  
graph export "$path_epf3\Men_WGR.emf", replace
graph export "$path_epf3\Men_WGR.png", replace
graph export "$path_g\Men_WGR.emf", replace
graph export "$path_g\Men_WGR.png", replace

// Combine graphs
graph combine "$path_epf3\graph1.gph" "$path_epf3\graph2.gph", ysize(5.3) xsize(9.2) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))
graph export "$path_g\Cum_WGR.emf", replace
graph export "$path_g\Cum_WGR.png", replace
