pr def Pension_Future
    args age_R age_Rw pcrate tope Rafp

quietly { // tope is 80.2 UF in 2020 (roughly 2313289 pesos di 28844*80.2)
local wlife=`age_R'-${blife}
local FwD = 1/${discount_factor}
local Rir = `FwD'-1
g FE = 0
g PW_NoSy = 0
g PW_NoSy_past = 0
forvalues i=1(1)`wlife' {
local i1 = 25+`i'
g edad_r = edad-`i1' if edad>=`i1'
g edad_r0 = `i1'-edad if edad<`i1'
g edad_R = `age_R' 
replace edad_R = `age_Rw' if sexo==2
g exp0 = max(0, min(50,`i1')-min(edad,50) )
g exp00 = min(0, min(50,`i1')-min(edad,50) )
g FutE = LabE*exp(exp0*GRw) 
g Pdiscounts = (${discount_factor}^edad_r0)*`pcrate'*PCS*min(`tope',exp(exp0*GRw)*LabE) if edad<`i1' & edad<edad_R & Future_retirees==1
replace Pdiscounts = (1.065^edad_r)*${pcrate}*PCS*min(${tope_2013},exp(exp00*GRw)*LabE) if edad>=`i1' & edad<edad_R & Future_retirees==1  //${pcrate} `pcrate'
replace FE = FE + max(0, (${discount_factor}^edad_r0)*FutE) if edad<`i1' & edad<`age_R' 
replace PW_NoSy = PW_NoSy + max(0,Pdiscounts)
replace PW_NoSy_past = PW_NoSy_past + max(0,Pdiscounts) if edad>=`i1' & edad<edad_R  & Future_retirees==1
drop edad_r-Pdiscounts
}
replace FE = max(0, FE*(1-(${pcr_fut}-${pcrate})) )
replace FE =. if Future_retirees!=1
replace PW_NoSy =. if Future_retirees!=1

if `Rafp'==1 {
replace PW_NoSy = max(0, PW_NoSy -max(0, (1/12)*retiro10P) )
replace PW_NoSy_past = max(0, PW_NoSy_past -max(0, (1/12)*retiro10P) )
}
g edad_r0 = `age_R'-edad  		  //  No Solidarity Pension: Beginning    //
g PWFut = (`FwD'^edad_r0)*PW_NoSy
g year_pension0 = (1+death_age-`age_R')
replace year_pension0 = 1+death_age-`age_Rw' if sexo==2
g m_pension = (`Rir'/(1-`FwD'^(-year_pension0)))*PWFut
bysort folio_hogar year: egen m_pension_hh = total(m_pension)   
drop edad_r0-year_pension0  //  No Solidarity Pension: end    //

bysort folio_hogar year: egen FE_hh = total(FE) 
bysort folio_hogar year: egen PW_NoSy_past_hh = total(PW_NoSy_past) 
bysort folio_hogar year: egen PW_NoSy_hh = total(PW_NoSy) 
g PW_NoSy_future_hh = max(0, PW_NoSy_hh-PW_NoSy_past_hh)
Pension_PGU `age_R'  // APS_2022
Pension_PBS_2019 `age_R'    // APS_2019 APS_2008 APS_2007 APS_1987
Pension_PBS_2008 `age_R'
Pension_PBS_PASIS `age_R'
Pension_PASIS `age_R'   
Pension_Contr_APS_total `age_R'

egen PW_hh = rowtotal(PW_NoSy_hh PW_APS_hh)
egen TW_hh = rowtotal(FE_hh PW_hh)
capture drop FE APS_*  // PW_NoSy
}
end
