pr def Pension_PASIS
    args age_R

quietly {  // PASIS for 1987 and 1997 (similar scheme)
local PASIS_dH = 61603*(22783/13956)  // PASIS with 2012 pesos
local PASIS_d = 0.50*`PASIS_dH'  

g dummyAPS = (m_pension<`PASIS_d' & m_pension_hh<`PASIS_dH')
g BenAPS = (1/3)*`PASIS_dH'*(1.10^max(0,ExpPCSemp)) 
replace BenAPS = min(BenAPS,(1/2)*`PASIS_dH')
replace BenAPS = dummyAPS*BenAPS

g year_pension0 = (1+death_age-`age_R')
g years_pension = (1- ${discount_factor}^year_pension0)/(1-${discount_factor})
g new_pension = max(0, BenAPS*years_pension) if Future_retirees==1

replace new_pension = new_pension*(${discount_factor}^(1+`age_R'-min(`age_R',edad)))
bysort folio_hogar: egen APS_1987 = total(new_pension)    //replace APS_2019 = CBeta*max(0, APS_2019) 
g APSind_1987 = new_pension
capture drop dummyAPS-new_pension 
}
end
