pr def Pension_PBS
    args PW_female option_prob option_age option1

quietly {  // option_age: 0, same solidarity pension after age 65, 1 - detailed difference of solidarity pension by age bracket
local PBS08_65_69 = 96390*(22627/19627)   // PBS before 2008, actualized for 2012 pesos
local PBS08_70_74 = 105395*(22627/19627)  // option1: erase variables 
local PBS08_75 = 112453*(22627/19627) 
local PBS08 = 60000*(22627/20541)
local PASIS = 54091  // PASIS in 2012
local PASIS08 = 48000*(22627/19627) // PASIS before 2008, actualized for 2012 pesos
local PASIS08_65_69 = 48000*(22627/19627) // PASIS before 2008, actualized for 2012 pesos
local PASIS08_70_74 = 51169*(22627/19627)
local PASIS08_75 = 55949*(22627/19627)
local PBS09 = 75000*(22627/20958)
local PBS = 82058   //75000 (2011)  76988 (2012)  82058 (2013)
local PMAS = 266731  //255000 (2011) 261758 (2012) 266731 (2013)
local pbs_i = 1-`PBS'/`PMAS'    //global pbs_i = 1-0.294   or 1-0.307

capture g prob_20y = 1
g monthly_afp_male2 = max(monthly_afp_male, `PBS') if male_dummy==1 & year>=2011
replace monthly_afp_male2 = max(monthly_afp_male, `PBS09') if male_dummy==1 & year>=2009 & year<=2010
replace monthly_afp_male2 = max(monthly_afp_male, `PBS08') if male_dummy==1 & year==2008 
replace monthly_afp_male2 = min(`PMAS', `PBS'+ `pbs_i'*monthly_afp_male) if male_dummy==1 & monthly_afp_male>`PBS' & monthly_afp_male<=`PMAS' & year>=2008
replace monthly_afp_male2 = max(monthly_afp_male2,`PASIS') if male_dummy==1 & year>=2008
g death_age = 60+life_expectancy60  //probably has very low impact due to small value and requirement of at least 20 years
if `option_prob'==0 {  // Probability of discounting 20 years Conditional on xi
capture replace prob_20y = binomialtail(1+${age_retirement}-25, 20, PCS_s1)
}
if `option_prob'==1 {  // Probability of discounting 20 years Conditional on xi and Informal work
capture replace prob_20y = binomialtail(1+${age_retirement}-25, 20, PCSI_s1)
}
if `option_age'==1  {  // PASIS08_ PBS08_(...) Minimum pension for those with at least 20 years of discounts by age brackets 
g years_pension75 = (1- ${discount_factor}^(1+death_age-75))/(1-${discount_factor})
g years_pension70 = (1- ${discount_factor}^(1+75-70))/(1-${discount_factor})
g years_pension65 = (1- ${discount_factor}^(1+70-age_pension))/(1-${discount_factor})
g new_pension = 0
g new_pension_20y = max(0, `PBS08_75'*years_pension75) + max(0, `PBS08_70_74'*years_pension70) + max(0, `PBS08_65_69'*years_pension65) if male_dummy==1 & year<2008 //& dummy_20year_male==1
replace new_pension = max(new_pension, new_pension_20y*prob_20y) if male_dummy==1 & year<2008 
replace new_pension = max(new_pension, ///
 max(0, `PASIS08_75'*years_pension75) + max(0, `PASIS08_70_74'*years_pension70) + max(0, `PASIS08_65_69'*years_pension65) ) if male_dummy==1 & year<2008
replace new_pension = 12*new_pension/monthly_annuity_sum 
replace monthly_afp_male2 = max(monthly_afp_male2, new_pension) if male_dummy==1 & year<2008
}
if `option_age'==0  { 
g years_pension65 = (1- ${discount_factor}^(1+death_age-age_pension))/(1-${discount_factor})
g new_pension = 0
g new_pension_20y = max(0, `PBS08_65_69'*years_pension65) if male_dummy==1 & year<2008 //& dummy_20year_male==1
replace new_pension = max(new_pension, new_pension_20y*prob_20y) if male_dummy==1 & year<2008 
replace monthly_afp_male2 = max(monthly_afp_male2, 12*new_pension/monthly_annuity_sum) if male_dummy==1 & year<2008 
replace monthly_afp_male2 = max(monthly_afp_male2,`PASIS_08') if male_dummy==1 & year<2008
}
if `option1'>=2  {
g prob_20yI`option_prob'_male = prob_20y
}
//

g monthly_afp_female2 = max(monthly_afp_female, `PBS') if female_dummy==1 & year>=2011
replace monthly_afp_female2 = min(`PMAS', `PBS'+ `pbs_i'*monthly_afp_female) if female_dummy==1 & monthly_afp_female>`PBS' & monthly_afp_female<=`PMAS' & year>=2008
replace monthly_afp_female2 = max(monthly_afp_female, `PBS09') if female_dummy==1 & year>=2009 & year<=2010
replace monthly_afp_female2 = max(monthly_afp_female, `PBS08') if female_dummy==1 & year==2008
replace monthly_afp_female2 = max(monthly_afp_female2,`PASIS') if female_dummy==1 & year>=2008

replace new_pension = 0
replace new_pension_20y = 0
if `option_prob'==0 {  // Probability of discounting 20 years Conditional on xi and Informal work
capture replace prob_20y = binomialtail(1+${age_retirement}-25, 20, PCS_s2)
}
if `option_prob'==1 {  // Probability of discounting 20 years Conditional on xi and Informal work
capture replace prob_20y = binomialtail(1+${age_retirement}-25, 20, PCSI_s2)
}
if `option_age'==1  {
replace years_pension65 = (1- ${discount_factor}^(1+70-female_pension_age))/(1-${discount_factor})
replace new_pension_20y = max(0, `PBS08_75'*years_pension75) + max(0, `PBS08_70_74'*years_pension70) + max(0, `PBS08_65_69'*years_pension65) if female_dummy==1 & year<2008 //& dummy_20year_male==1
replace new_pension = max(new_pension, new_pension_20y*prob_20y) if female_dummy==1 & year<2008 
replace new_pension = max(new_pension, ///
 max(0, `PASIS08_75'*years_pension75) + max(0, `PASIS08_70_74'*years_pension70) + max(0, `PASIS08_65_69'*years_pension65) ) if female_dummy==1 & year<2008
replace new_pension = 12*new_pension/monthly_annuity_sum_female 
replace monthly_afp_female2 = max(monthly_afp_female2, new_pension) if female_dummy==1 & year<2008
}
if `option_age'==0  { 
replace years_pension65 = (1- ${discount_factor}^(1+death_age-female_pension_age))/(1-${discount_factor})
replace new_pension_20y = max(0, `PBS08_65_69'*years_pension65) if female_dummy==1 & year<2008 //& dummy_20year_male==1
replace new_pension = max(new_pension, new_pension_20y*prob_20y) if female_dummy==1 & year<2008 
replace monthly_afp_female2 = max(monthly_afp_female2, 12*new_pension/monthly_annuity_sum_female) if female_dummy==1 & year<2008 
replace monthly_afp_female2 = max(monthly_afp_female2,`PASIS_08') if female_dummy==1 & year<2008
}
if `option1'>=2  {
g prob_20yI`option_prob'_female = prob_20y
}
//

g APS_total = max(0, monthly_afp_male2-monthly_afp_male) + max(0, monthly_afp_female2-monthly_afp_female)
*replace APS_total = 0 if year<2008  // PASIS08_(...) Need to do PASIS by age brackets
*replace APS_total = max(0,`PASIS08'-max(0,monthly_afp_male))*max(0,male_dummy) + max(0,`PASIS08'-max(0,monthly_afp_female))*max(0,female_dummy) if year<2008 

g APS_total_PV = monthly_annuity_sum*max(0,APS_total)
replace APS_total_PV = APS_total_PV*${discount_factor}^(1+${age_retirement}-min(${age_retirement},edad)) //if edad>=25 & edad<=65
replace APS_total_PV = 0 if APS_total_PV==.
replace APS_total_PV = 0 if APS_total_PV<=0

replace female_early_penalty = max(0, (`PW_female'/monthly_annuity_sum)-monthly_afp_female2) if female_dummy==1 & monthly_afp_female2!=monthly_afp_female
*replace `k' = `k' + monthly_annuity_sum*(max(0,APS_total)-min(0,female_early_penalty))
if `option1'>=2  {
g prob_20yI`option_prob'_hh = prob_20yI`option_prob'_male*(Male_sh) + prob_20yI`option_prob'_female*(1-Male_sh)
}
if `option1'>=1  {
drop monthly_afp_male2 monthly_afp_female2 APS_total
capture drop new_pensio* years_pensio* death_age prob_20y
}
}
// 

end
