pr def Pension_PBS_2019
    args age_R

quietly {  // https://www.ips.gob.cl/servlet/internet/content/1421810823272/pension-basica-solidaria-vejez
local PBS = 82058   //75000 (2011)  76988 (2012)  82058 (2013)  // quintile_h
local PMAS = 266731  //255000 (2011) 261758 (2012) 266731 (2013) 
local PBS_2019 = 169649*(22783/28844)  // minimum pension value imposed by Ley Nº 21.190, publicada el 11 de diciembre de 2019 (in 2012 pesos)

g dummyAPS = (m_pension<`PBS_2019')
g PBS_2019 = dummyAPS*(`PBS_2019'-m_pension) if quintile_h<=3
replace dummyAPS = (m_pension<`PMAS')
g PBS_2008 = dummyAPS*(`PBS'-(`PBS'/`PMAS')*m_pension) if quintile_h<=3
replace PBS_2019 = max(0, PBS_2019, PBS_2008)

g year_pension0 = (1+death_age-`age_R')
g years_pension = (1- ${discount_factor}^year_pension0)/(1-${discount_factor})
g new_pension = max(0, PBS_2019*years_pension) if Future_retirees==1
replace new_pension = new_pension*(${discount_factor}^(1+`age_R'-min(`age_R',edad)))
bysort folio_hogar: egen APS_2019 = total(new_pension)   //replace APS_2019 = CBeta*max(0, APS_2019) 
g APSind_2019 = new_pension
capture drop dummyAPS-new_pension 
}
end
