pr def Pension_PBS_PASIS
    args age_R

quietly {  
local PASIS = 54091  // PASIS in 2012
local PASIS08 = 48000*(22627/19627) // PASIS before 2008, actualized for 2012 pesos
local PASIS08_65_69 = 48000*(22627/19627) // PASIS before 2008, actualized for 2012 pesos
local PASIS08_70_74 = 51169*(22627/19627)
local PASIS08_75 = 55949*(22627/19627)
local PBS08_65_69 = 96390*(22627/19627)   // PBS before 2008, actualized for 2012 pesos
local PBS08_70_74 = 105395*(22627/19627)  // option1: erase variables 
local PBS08_75 = 112453*(22627/19627) 
local PBS08 = 60000*(22627/20541)

g years_pension75 = (1- ${discount_factor}^(1+death_age-75))/(1-${discount_factor})
g years_pension70 = (1- ${discount_factor}^(1+75-70))/(1-${discount_factor})
g years_pension65 = (1- ${discount_factor}^(1+70-65))/(1-${discount_factor})

g new_pension = (max(0,(`PBS08_75'-m_pension))*prob_20y + (1-prob_20y)*max(0,(`PASIS08_75'-m_pension)))*years_pension75
replace new_pension = max(0,new_pension) + (max(0,(`PBS08_70_74'-m_pension))*prob_20y + (1-prob_20y)*max(0,(`PASIS08_70_74'-m_pension)))*years_pension70
replace new_pension = max(0,new_pension) + (max(0,(`PBS08_65_69'-m_pension))*prob_20y + (1-prob_20y)*max(0,(`PASIS08_65_69'-m_pension)))*years_pension65
replace new_pension = 0 if quintile_h>3

replace new_pension = new_pension*(${discount_factor}^(1+`age_R'-min(`age_R',edad)))
bysort folio_hogar: egen APS_2007 = total(new_pension)    //replace APS_2019 = CBeta*max(0, APS_2019) 
g APSind_2007 = new_pension
capture drop years_pension75-new_pension 
}
end
