pr def Pension_PGU
    args age_R

quietly {  // https://www.chileatiende.gob.cl/fichas/102063-que-es-la-pension-garantizada-universal-pgu
/* El monto de este beneficio ascenderá a un máximo de $185.000.
Todas aquellas personas que tengan una pensión base menor o igual a $630.000 recibirán el monto máximo, $185.000. 
En tanto, quienes tengan una pensión base mayor a $630.000 y menor a $1.000.000, el monto irá disminuyendo progresivamente.
Las personas que tienen 65 años o más y están dentro del 90% más vulnerable de la población. */
local PBS = 82058   //75000 (2011)  76988 (2012)  82058 (2013)  // quintile_h
local PMAS = 266731  //255000 (2011) 261758 (2012) 266731 (2013) 
local PBS_2019 = 169649*(22783/28844)  // minimum pension value imposed by Ley Nº 21.190, publicada el 11 de diciembre de 2019 (in 2012 pesos)

local PGU_MAS0 = 630000*(22783/31205)   // maximum pension that receives the full PGU benefits
local PGU_MAS1 = 1000000*(22783/31205)  // maximum pension to receive any benefits (2012 pesos)
local PGU = 185000*(22783/31205)  // minimum pension value imposed by Ley Nº 21.419, publicada el 29 de enero de 2022 (in 2012 pesos)

g dummyAPS = (m_pension<`PBS_2019')
g PBS_2019 = dummyAPS*(`PBS_2019'-m_pension) if quintile_h<=3
replace dummyAPS = (m_pension<`PMAS')
g PBS_2008 = dummyAPS*(`PBS'-(`PBS'/`PMAS')*m_pension) if quintile_h<=3

replace dummyAPS = (m_pension<=`PGU_MAS0')
g PGU = dummyAPS*`PGU' if quintile_h<=4
replace PGU = `PGU' if decile_h<=9 & PGU==.
g PGU_2 = `PGU'*(1 - (m_pension-`PGU_MAS0')/(`PGU_MAS1'-`PGU_MAS0')) if m_pension>`PGU_MAS0' & m_pension<`PGU_MAS1'
replace PGU = max(PGU_2, PGU) if quintile_h<=4
replace PGU = max(PGU_2, PGU) if decile_h<=9
replace PGU = max(0, PBS_2019, PBS_2008, PGU)

g year_pension0 = (1+death_age-`age_R')
g years_pension = (1- ${discount_factor}^year_pension0)/(1-${discount_factor})
g new_pension = max(0, PGU*years_pension) if Future_retirees==1
replace new_pension = new_pension*(${discount_factor}^(1+`age_R'-min(`age_R',edad)))
bysort folio_hogar: egen APS_2022 = total(new_pension)   //replace APS_2019 = CBeta*max(0, APS_2019) 
g APSind_2022 = new_pension
capture drop dummyAPS-new_pension 
}
end
