pr def Pension_income
    args PW_hh PW_male PW_female option1

quietly {  // option 1: 13% contribution rate pensions
//global age_retirement = 65   
global real_irp = 0.04  // Real interest rate after receiving pension
local im = ((1+${real_irp})^(1/12))-1

if `option1'==0 {  //generate expected months of pension life
capture g female_pension_age = ${age_retirement}
if ${age_retirement}>65 {   // Gradually increase pension age for males and females
capture g age_pension = 65 if year<=2015
replace age_pension = 66 if year>=2016
replace age_pension = 67 if year>=2021
replace age_pension = max(age_pension, ${age_retirement}) if year>2022
replace age_pension = min(age_pension, ${age_retirement})   // In case age of retirement is 66
replace female_pension_age = max(female_pension_age, 60) if year<=2015 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 61) if year>=2016 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 62) if year>=2017 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 63) if year>=2018 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 64) if year>=2019 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 65) if year>=2020 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 66) if year>=2021 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, 67) if year>=2022 & female_pension_age<. & female_dummy==1
replace female_pension_age = max(female_pension_age, ${age_retirement}) if year>2022 & female_pension_age<. & female_dummy==1
replace female_pension_age = min(female_pension_age, ${age_retirement}) if female_pension_age<. & female_dummy==1
}
else {
capture g age_pension = ${age_retirement}
}
g years_after_retirement = ceil( max(0,60+life_expectancy60-age_pension-1) )  //-age_pension  or -age_pension-1
g months_after_retirement = 12*years_after_retirement
g monthly_annuity_sum = (1-(1+`im')^(-months_after_retirement))/`im'  //sum months_after_retir monthly_annuity_sum years_after_retirement 
if ${FER_op}==1 { // Female early retirement at age 60 to 65  //female_pension_age Male_Savings_AFP Female_Savings_AFP
g months_after_retirement_female = 12*max(0,60+life_expectancy60-female_pension_age-1)  //-female_pension_age or -female_pension_age-1
g monthly_annuity_sum_female = (1-(1+`im')^(-months_after_retirement_female))/`im'
}
else {
g monthly_annuity_sum_female = monthly_annuity_sum
}
}
//

g monthly_retirement_afp = `PW_hh'/monthly_annuity_sum  //pwcorr months_after_retir monthly_annuity_sum years_after_retirement 
g monthly_afp_male = `PW_male'/monthly_annuity_sum if male_dummy==1
g monthly_afp_female = `PW_female'/monthly_annuity_sum_female if female_dummy==1 
g female_early_penalty = `PW_female'/monthly_annuity_sum if female_dummy==1
replace female_early_penalty = max(0, female_early_penalty-monthly_afp_female) if female_dummy==1
}
// 

end
