local UF = 22783
local R1 = 35*`UF'       // https://www.chileatiende.gob.cl/fichas/81027-retiro-del-10-de-los-fondos-de-afp
local R2 = 150*`UF'       // *(22783/28844)   // 28671 (2020 pesos) // 22783 (2012) pesos
local P1 = 35*`UF' 
local P2 = 350*`UF'
local P3 = 1500*`UF'
local varP = "PW_NoSy_past"
replace PW_NoSy_past = 12*PW_NoSy_past  // put it in yearly balance
g retiro10P = `R2' if `varP'>`P3'
replace retiro10P = 0.10*`varP' if `varP'>=`P2' & `varP'<=`P3'
replace retiro10P = `R1' if `varP'>=`P1' & `varP'<=`P2'
replace retiro10P = `varP' if `varP'<`P1'
replace retiro10P = 0 if retiro10P==.
bysort folio_hogar year: egen Hretiro10P = total(retiro10P) //foreach x of varlist PW_NoSy_hh PW_hh TW_hh {  // Retiro AFP   replace `x' = max(0, `x' - max(0,(1/12)*)Hretiro10P)   }
replace PW_NoSy_past = (1/12)*PW_NoSy_past  // Back to monthly balance  

// Segundo Retiro (97% of the people withdrew the first time)
g PWtemp= max(0, 12*PW_NoSy_past-retiro10P)
local varP = "PWtemp"
g retiro10P_2R = `R2' if `varP'>`P3'
replace retiro10P_2R = 0.10*`varP' if `varP'>=`P2' & `varP'<=`P3'
replace retiro10P_2R = `R1' if `varP'>=`P1' & `varP'<=`P2'
replace retiro10P_2R = `varP' if `varP'<`P1'
replace retiro10P_2R = 0 if retiro10P_2R==.
bysort folio_hogar year: egen Hretiro10P_2R = total(retiro10P_2R)
drop PWtemp

// Tercero Retiro (97% of the people withdrew the first time)
g PWtemp= max(0, 12*PW_NoSy_past-retiro10P-retiro10P_2R)
local varP = "PWtemp"
g retiro10P_3R = `R2' if `varP'>`P3'
replace retiro10P_3R = 0.10*`varP' if `varP'>=`P2' & `varP'<=`P3'
replace retiro10P_3R = `R1' if `varP'>=`P1' & `varP'<=`P2'
replace retiro10P_3R = `varP' if `varP'<`P1'
replace retiro10P_3R = 0 if retiro10P_3R==.
bysort folio_hogar year: egen Hretiro10P_3R = total(retiro10P_3R)

replace retiro10P = max(0,retiro10P) + max(0,retiro10P_2R) + max(0,retiro10P_3R) 
replace Hretiro10P = max(0,Hretiro10P) + max(0,Hretiro10P_2R)+ max(0,Hretiro10P_3R)
drop PWtemp retiro10P_2R Hretiro10P_2R retiro10P_3R Hretiro10P_3R
