local G2 = "ysize(5.4) xsize(9.2) imargin(0 0) graphregion(color(white) margin(vsmall))"
local G4 = "ysize(10.8) xsize(9.2) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))"
global RoundY=1   // 1: stats every year, 2: every 2 years, 3: every 3 years, 5: every 5 years
global BegY=2025   // ${nQ}
global nQ=4     // 4 quartiles or quintiles 5

// Compare pension replacement ratios of the future generations (B0_m_pension B0_m_pension_hh) for the future with each policy option
use "$path4b\PensionScen_${Ewave}_allMembers.dta", clear  //use "$path4b\PensionScen_${Ewave}.dta", clear   Life_last_income Life_mean_income
g factor_or=${factor_op} if a1==1
sum factor_or, d
replace ${factor_op}=max(r(p5), min(r(p95),${factor_op})) // control for outliers in population weights
local Incvar="Life_last_income"  // Life_mean_income Life_last_income
char  _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
keep if Future_retirees==1
g edad_R = ${R}
replace edad_R = ${R}-5 if sexo==2
drop if edad>edad_R
g ret_yr = year+max(0,(edad_R-edad))  
sum ret_yr
local yr1=r(min)
local yr2=r(max)
g min_pension = 169649*(22783/28844) if year>=2019
replace min_pension = 82058 if year>=2008 & year<=2018
replace min_pension = 55336.832 if year>=2002 & year<=2007
replace min_pension = 61603*(22783/13956)*0.50 if year>=1975 & year<=2001
replace min_pension = 185000*(22783/31205)   if year>=2022
replace Life_mean_income = max(Life_mean_income, min_pension)   
replace Life_last_income = max(Life_last_income, min_pension)  
keep if Future_retirees==1
drop if B_m_pension_tot==0
drop if B_m_pension_tot<min_pension & quintile_h<=3
drop if B_m_pension_tot<(1/2)*min_pension
 
g rr_ratioC_B0=B0_m_pension/min(${tope_2013},`Incvar') 
g rr_ratioC_B=B_m_pension/min(${tope_2013},`Incvar')
g rr_ratioTot_B0=B0_m_pension_tot/min(${tope_2013},`Incvar') 
g rr_ratioTot_B=B_m_pension_tot/min(${tope_2013},`Incvar')
quietly {
g quintile_P0 = .
local yr=2020  // take 3 years
g edad_yr = edad+(`yr'-year)
g grupo_edad2 = ceil(min(101,(1+edad_yr))/5) if edad>=0 
g YearR=`yr'
joinby YearR sexo grupo_edad2 using "$path_epf2\Chile_PopR.dta", unmatched(master) update    //tab _merge
g new_weights = ceil(${factor_op}*PopEdSexo)        //      //      //
g var0 = B0_m_pension_tot_hh if ret_yr<=`yr' //& a1==1  // if ret_yr==`yr'   // B0_m_pension_hh B0_m_pension_tot B_m_pension_tot
xtile var1 = var0 if edad_yr<=death_age [fw=new_weights], nq(${nQ})  //bysort folio_hogar: egen var11 = mean(var1) //  [fw=${factor_op}]
replace quintile_P0=var1 if quintile_P0==. & ret_yr==`yr'   
drop var0 var1 edad_yr-_merge new_weights PopEdSexo
forvalues yr=`yr1'(1)`yr2' {
g edad_yr = edad+(`yr'-year)      //      //    //
g grupo_edad2 = ceil(min(101,(1+edad_yr))/5) if edad>=0 
g YearR=`yr'
joinby YearR sexo grupo_edad2 using "$path_epf2\Chile_PopR.dta", unmatched(master) update
g new_weights = ceil(${factor_op}*PopEdSexo)     //      //    //
g var0 = B0_m_pension_tot_hh if ret_yr<=`yr' 
xtile var1 = var0 if edad_yr<=death_age [fw=new_weights], nq(${nQ})  
replace quintile_P0=var1 if quintile_P0==. & ret_yr==`yr' 
drop var0 var1 new_weights edad_yr-_merge PopEdSexo
}
}
local R_Sall=67  
replace ret_yr = max(2022, year+max(0,(`R_Sall'-edad)))  
forv s=1/5 {
local tope_S`s'=${tope_2013}
}
forv s=6/7 {
local tope_S`s'=10000000
}
forv s=1/7 {
g rr_ratioC_S`s' = S`s'_m_pension/min(`tope_S`s'',`Incvar')
g rr_ratioTot_S`s' = S`s'_m_pension_tot/min(`tope_S`s'',`Incvar')
if `s'>=3 {   // Scenarios with Reparto
forv op = 1/4 {
g rr_ratioTot_S`s'R`op' = S`s'_m_pension_totR`op'/min(`tope_S`s'',`Incvar')
}
}
}
quietly {
foreach x of varlist rr_rati* {
replace `x' = min(1, `x') if `x'<.
bysort ret_yr quintile_P0: egen pc95=pctile(`x'), p(90)  
bysort ret_yr quintile_P0: egen  pc05=pctile(`x'), p(10)  
replace `x' = max( pc05, min(`x', pc95)) if `x'<.
drop pc95 pc05
}
}
pwcorr quintile_h quintile_P0 [fw=${factor_op}]
tab quintile_h quintile_P0 [fw=${factor_op}]

replace S1_m_pension_tot = max(S1_m_pension_tot, B_m_pension_tot)
replace S1_m_pension_tot_hh = max(S1_m_pension_tot_hh, B_m_pension_tot_hh)
forv s=2/7 {
replace S`s'_m_pension_tot = max(S1_m_pension_tot, S`s'_m_pension_tot, B_m_pension_tot)
replace S`s'_m_pension_tot_hh = max(S`s'_m_pension_tot_hh, S1_m_pension_tot_hh, B_m_pension_tot_hh)
}
forv s=3/7 {
forv op = 1/4 {
replace S`s'_m_pension_totR`op' = max(S`s'_m_pension_totR`op', S1_m_pension_tot, B_m_pension_tot)
replace S`s'_m_pension_totR`op'_hh = max(S`s'_m_pension_totR`op'_hh, S1_m_pension_tot_hh, B_m_pension_tot_hh)
}
}
save "$path4b\data_temp0.dta", replace
collapse (mean) rr_ratio* [fw=${factor_op}], by(ret_yr sexo quintile_P0) 
egen id = group(sexo quintile_P0) 
xtset id ret_yr
quietly {
foreach x of varlist rr_rati* {
g fw = F.`x'
g lag = L.`x'
replace `x' = (`x'+fw+lag)/3
drop fw lag
}
g ${factor_op}=1
}
replace ret_yr = ${RoundY}*ceil(ret_yr/${RoundY}) if ret_yr>=2020  //replace ret_yr = 5*ceil(ret_yr/5) if ret_yr>=2020
collapse (mean) rr_ratio* [fw=${factor_op}], by(ret_yr sexo quintile_P0) 
drop if ret_yr<=2017
replace rr_ratioC_B=rr_ratioC_B0 if ret_yr<=2019   // =.
replace rr_ratioTot_B=rr_ratioTot_B0 if ret_yr<=2019    //=.
drop *_B0
save "$path4b\data_temp.dta", replace

local sex1 "Men"
local sex2 "Women"
local RRvars "rr_ratioC_B rr_ratioTot_B rr_ratioTot_S1 rr_ratioTot_S2"
forv g=1/2 {  // medthick plotregion(style(none))  plotregion(margin(vsmall))
local Ginf "subtitle("`sex`g''") xlab(${BegY}(5)2055) xtitle("") graphregion(margin(small)) lwidth(medthick medthick medthick medthick medthick)" 
use "$path4b\data_temp.dta", clear    //egen id = group(sexo quintile_P0)
keep if sexo==`g'    //drop if ret_yr<=2019
drop if ret_yr>=2056   |  ret_yr<${BegY}        //xtset quintile_P0 ret_yr //xtline rr_ratioC_B, overlay   //id ret_yr
keep ret_yr `RRvars' quintile_P0    // rr_ratioC_S1
local k=1
foreach rv of local RRvars {
sum `rv'
local rr`k'0=floor(100*r(min)/5)*(5/100) 
local rr`k'1=ceil(100*r(min)/5)*(5/100) 
local rr`k'1=ceil(100*`rr`k'1'/10)*(10/100)
local rr`k'2=floor(100*r(max)/5)*(5/100)
local rr`k'3=ceil(100*r(max)/5)*(5/100)
local k=1+`k'
}
reshape wide `RRvars', i(ret_yr) j(quintile_P0)
order ret_yr rr_ratioC* rr_ratioTot_B* rr_ratioTot_S1* rr_ratioTot_S2*, first 
order rr_ratioTot_S*, last
tsset ret_yr
label var ret_yr "year"
foreach rv of local RRvars {
local k=1
foreach x of varlist `rv'1-`rv'${nQ} {
label var `x' "`k'"
local k=1+`k'
}
}
tsline rr_ratioC_B*, `Ginf' legend(off) ylab(`rr11'(0.10)`rr12') ytick(`rr10'(0.05)`rr13') saving(graph`g', replace) 
tsline rr_ratioTot_B*, `Ginf' legend(off) ylab(`rr21'(0.10)`rr22') ytick(`rr20'(0.05)`rr23') saving(graph0`g', replace)
tsline rr_ratioTot_S1*, `Ginf' legend(off) ylab(`rr31'(0.10)`rr32') ytick(`rr30'(0.05)`rr33') saving(graph00`g', replace) //legend(rows(1))
tsline rr_ratioTot_S2*, `Ginf' legend(rows(1)) ylab(`rr41'(0.10)`rr42') ytick(`rr40'(0.05)`rr43') saving(graph000`g', replace)
}
graph combine graph01.gph graph02.gph, `G2' saving(graph00, replace) title("Baseline", size(medsmall))
graph combine graph001.gph graph002.gph, `G2' saving(graph000, replace) title("Retirement at age 67 (both genders)", size(medsmall))
graph combine graph0001.gph graph0002.gph, `G2' saving(graph0000, replace) title("+6% contribution rate, retirement at age 67", size(medsmall))
graph combine graph00.gph graph000.gph graph0000.gph,  rows(2) cols(1) `G4'    
graph export "$path_g1\TS_Baseline0.emf", replace

local RRvars "rr_ratioTot_S2 rr_ratioTot_S3R2 rr_ratioTot_S4R2 rr_ratioTot_S5R2"   // Some Policy options
forv g=1/2 {  // medthick plotregion(style(none))  plotregion(margin(vsmall))
local Ginf "subtitle("`sex`g''") xlab(${BegY}(5)2055) xtitle("") graphregion(margin(small)) lwidth(medthick medthick medthick medthick medthick)" 
use "$path4b\data_temp.dta", clear    //egen id = group(sexo quintile_P0)
keep if sexo==`g'
drop if ret_yr>=2056   |  ret_yr<${BegY}     //xtset quintile_P0 ret_yr //xtline rr_ratioC_B, overlay   //id ret_yr
keep ret_yr `RRvars' quintile_P0    // rr_ratioC_S1
local k=1
foreach rv of local RRvars {
sum `rv'
local rr`k'0=floor(100*r(min)/5)*(5/100) 
local rr`k'1=ceil(100*r(min)/5)*(5/100) 
local rr`k'1=ceil(100*`rr`k'1'/10)*(10/100)
local rr`k'2=floor(100*r(max)/5)*(5/100)
local rr`k'3=ceil(100*r(max)/5)*(5/100)
local k=1+`k'
}
reshape wide `RRvars', i(ret_yr) j(quintile_P0)
order ret_yr rr_ratioTot_S2* rr_ratioTot_S3R2* rr_ratioTot_S4R2* rr_ratioTot_S5R2*, first 
tsset ret_yr
label var ret_yr "year"
foreach rv of local RRvars {
local k=1
foreach x of varlist `rv'1-`rv'${nQ} {
label var `x' "`k'"
local k=1+`k'
}
}
tsline rr_ratioTot_S2*, `Ginf' legend(off) ylab(`rr11'(0.10)`rr12') ytick(`rr10'(0.05)`rr13') saving(graph`g', replace) 
tsline rr_ratioTot_S3R2*, `Ginf' legend(off) ylab(`rr21'(0.10)`rr22') ytick(`rr20'(0.05)`rr23') saving(graph0`g', replace)
tsline rr_ratioTot_S4R2*, `Ginf' legend(off) ylab(`rr31'(0.10)`rr32') ytick(`rr30'(0.05)`rr33') saving(graph00`g', replace) // legend(rows(1))
tsline rr_ratioTot_S5R2*, `Ginf' legend(rows(1)) ylab(`rr41'(0.10)`rr42') ytick(`rr40'(0.05)`rr43') saving(graph000`g', replace)
}
graph combine graph1.gph graph2.gph, `G2' saving(graph0, replace) title("+6% contribution rate", size(medsmall))   
graph combine graph01.gph graph02.gph, `G2' saving(graph00, replace) title("+5% contribution rate, +1% solidarity rate", size(medsmall))
graph combine graph001.gph graph002.gph, `G2' saving(graph000, replace) title("+4% contribution rate, +2% solidarity rate", size(medsmall))
graph combine graph0001.gph graph0002.gph, `G2' saving(graph0000, replace) title("+3% contribution rate, +3% solidarity rate", size(medsmall))
graph combine graph00.gph graph000.gph graph0000.gph,  rows(2) cols(1) `G4'  //graph combine graph0.gph graph00.gph graph000.gph,  rows(3) cols(1) `G4'       
graph export "$path_g1\TS_PolicyOptions.emf", replace

local RRvars "rr_ratioC_B0 rr_ratioTot_B0 rr_ratioC_B rr_ratioTot_B rr_ratioTot_S1 rr_ratioTot_S2 rr_ratioTot_S3R2 rr_ratioTot_S4R2 rr_ratioTot_S5R2"
local RRvars2 "rr_ratioTot_S3R2 rr_ratioTot_S4R2 rr_ratioTot_S5R2"
foreach yr of numlist 2025 2035 2045 2055 {
use "$path4b\data_temp0.dta", clear
g edad_yr = edad+(`yr'-year)
g grupo_edad2 = ceil(min(101,(1+edad_yr))/5) if edad>=0 
g YearR=`yr'
joinby YearR sexo grupo_edad2 using "$path_epf2\Chile_PopR.dta", unmatched(master) update    //tab _merge
g new_weights = ceil(${factor_op}*PopEdSexo)        // drop _merge PopEdSexo new_weights
keep if ret_yr<=YearR
foreach x of varlist `RRvars2' {
g Hurt_`x' = (rr_ratioTot_S2-`x'>0 )
}
collapse (mean) `RRvars' Hurt* [fw=new_weights], by(YearR quintile_P0)   //${factor_op}     // sexo 
if `yr'>2025 {
joinby YearR quintile_P0 using "$path4b\data_temp.dta", unmatched(both) update  // sexo
drop _merge
}
save "$path4b\data_temp.dta", replace

use "$path4b\data_temp0.dta", clear
g edad_yr = edad+(`yr'-year)
g grupo_edad2 = ceil(min(101,(1+edad_yr))/5) if edad>=0 
g YearR=`yr'
joinby YearR sexo grupo_edad2 using "$path_epf2\Chile_PopR.dta", unmatched(master) update    //tab _merge
g new_weights = ceil(${factor_op}*PopEdSexo)        // drop _merge PopEdSexo new_weights
keep if ret_yr<=YearR
foreach x of varlist `RRvars2' {
g Hurt_`x' = (rr_ratioTot_S2-`x'>0 )
}
collapse (mean) `RRvars' Hurt* [fw=new_weights], by(YearR)   //${factor_op}  sexo
g quintile_P0=6
joinby YearR quintile_P0 using "$path4b\data_temp.dta", unmatched(both) update //sexo
drop _merge
save "$path4b\data_temp.dta", replace
}
use "$path4b\data_temp.dta", clear
recode quintile_P0 6=.
sort YearR quintile_P0    // sexo
export excel using "$path_g1\\RRatios_yrs.xlsx", firstrow(variables) nolabel replace
