local G2 = "ysize(5.4) xsize(9.2) imargin(0 0) graphregion(color(white) margin(vsmall))"
local G4 = "ysize(10.8) xsize(9.2) imargin(0 0 0 0) graphregion(color(white) margin(vsmall))"
local SRate1 = "SRate"     // quintile_h educ_ecf  PCSI_hh  PCS PCSemp gasto_total numh
local SRate2 = "SRatePI"  //local SRate3 = "CRate" //gasto_tot

forvalues k=1(1)3 {
local pcr`k'=${pcrate}
local tope`k'=${tope_2013}
}    // local pcr2=${pcrate}+0.06 (IEF exercise)
forvalues k=4(1)9 {
local pcr`k'=${pcrate}+0.06
local tope`k'=${tope_2013}
}
local tope9=10000000 //"rr_ratioTot_B0 rr_ratioTot_B rr_ratioTot_S rr_ratioTot_S2 rr_ratioTot_S3R2 rr_ratioTot_S4R2 rr_ratioTot_S5R2 rr_ratioTot_S5R3 rr_ratioTot_S7R3"
local W1="constant"
local W2="LabE"
quietly {
local m=7   //chosen model (choose m=7 or m=14
forv w=1/2 { // with population weights (W1), income weights (W2)

foreach Yv of numlist 1 2 {  // Compare Voluntary Saving Rates plus pension discount (1,2) for 2017, with Base Scenario in 2020 
local SR = "`SRate`Yv''"
local RRvars "B0_e`SR'_m`m' B_e`SR'_m`m' S1_e`SR'_m`m' S2_e`SR'_m`m' S3Rep2_e`SR'_m`m' S4Rep2_e`SR'_m`m' S5Rep2_e`SR'_m`m' S5Rep3_e`SR'_m`m' S7Rep3_e`SR'_m`m'" 
forvalues yr=2019(1)2055 {  // 2022
use "$path4b\SRates_allScen.dta", clear
g YearR=`yr'
joinby YearR sexo grupo_edad2 using "$path_epf2\Chile_PopR.dta", unmatched(master) update
tab _merge
drop _merge
local k=1
foreach rv of local RRvars {
g agg`rv' =  `rv' + max(0, `pcr`k''*PCSLabEhh/Yl) +  ( max(0, min(`tope`k'',LabE)-${tope_2013}) )*PCS*`pcr`k''/Yl    // g agg`rv' =  `rv' + max(0, `pcr`k''*PCSLabEhh/Yl) 
local k=1+`k'
}
sum `W`w'', d
g adj1 = ceil( `W`w'' / r(p5) )
g new_weights = ceil(${factor_op}*PopEdSexo*adj1)  
capture drop quintile_h
xtile quintile_h=LabE [fw=new_weights], nq(5)   // new quintile because age structure affects income distribution
collapse `RRvars' agg* [fw=new_weights], by(YearR quintile_h)
if `yr'>2019 {  
joinby YearR quintile_h using "$path4b\data_temp.dta", unmatched(both) update
tab _merge
drop _merge
}
save "$path4b\data_temp.dta", replace
}
char  _dta[_mi_marker]  // local Name1 = "Baseline"    local Name2 = "Retirement at age 67"    local Name3 = "+6% contribution rate"
char _dta[_mi_M]   // local Name4 = "+5% contribution, +1% solidarity"    local Name5 = "+4% contribution, +2% solidarity"  local Name6 = "+3% contribution, +3% solidarity"
char _dta[_mi_N]
char _dta[_mi_update]
replace B_e`SR'_m`m'=B0_e`SR'_m`m' if YearR<=2019
replace aggB_e`SR'_m`m'=aggB0_e`SR'_m`m' if YearR<=2019
save "$path4b\TS_`SR'.dta", replace

local RRvars1 "B0_e`SR'_m`m' B_e`SR'_m`m' S1_e`SR'_m`m' S2_e`SR'_m`m' S3Rep2_e`SR'_m`m' S4Rep2_e`SR'_m`m' S5Rep2_e`SR'_m`m'"   // B0_e`SR'_m`m' S5Rep3_e`SR'_m`m' S7Rep3_e`SR'_m`m'
local RRvars2 "aggB0_e`SR'_m`m' aggB_e`SR'_m`m' aggS1_e`SR'_m`m' aggS2_e`SR'_m`m' aggS3Rep2_e`SR'_m`m' aggS4Rep2_e`SR'_m`m' aggS5Rep2_e`SR'_m`m'"   // aggB0_e`SR'_m`m'  aggS5Rep3_e`SR'_m`m' aggS7Rep3_e`SR'_m`m'
forvalues v = 1/2 { // v=1 is Voluntary Savings Rate, v=2 is Total Savings Rate
use "$path4b\TS_`SR'.dta", clear
keep if YearR==2022
collapse `RRvars`v' '
g quintile_h=.    // . means the total population sample
save "$path4b\data_temp.dta", replace
use "$path4b\TS_`SR'.dta", clear
keep if YearR==2022
keep quintile_h `RRvars`v''
joinby quintile_h using "$path4b\data_temp.dta", unmatched(both) update
drop _merge
export excel using "$path_g1\\EPF2017vs`v'_`SR'_pop25_64_W`w'.xlsx", firstrow(variables) nolabel replace
}  //      //
} 
}  
} 
// do "$path_epf\format_codes\EPF_future_tables_comparison.do" // Comparison of different policy regimes in table format (2046-2055)
