set more off
global path "D:\DAT\DPF\Analisis Financiero\Sector Hogares\Encuestas\EPF\2006_2007"
global factor_op "factor_all"
global year_epf = 2007

use "$path\EPF_2007.dta", clear
replace ingreso_trabajo_dependiente = ingreso_trabajador_dependiente if ingreso_trabajo_dependiente==.
capture g ingreso_trabajador_independiente = .
replace ingreso_trabajo_independiente = ingreso_trabajador_independiente if ingreso_trabajo_independiente==.
replace ingreso_trabajador_dependiente  = ingreso_trabajo_dependiente if ingreso_trabajador_dependiente==.
replace ingreso_trabajador_independiente =  ingreso_trabajo_independiente if ingreso_trabajador_independiente==.
replace ingreso_trabajo_dependiente=max(ingreso_trabajador_dependiente,ingreso_trabajo_dependiente) if ingreso_trabajo_dependiente!=ingreso_trabajador_dependiente

g factor_all=ceil(factor_expansion_anual)
bysort hogar: egen fac_hogar = max(factor_all)
replace factor_all = ceil(fac_hogar) if factor_all==.
drop fac_hogar
tab  parentesco
bysort hogar: egen ytoth = total(ingreso_total)
sum ${factor_op}
joinby hogar using "$path\gasto_tipo_2007.dta", unmatched(both) update  //hogar clave_hogar
tab _merge
sum ${factor_op}
drop _merge
// Arriendo Imputado is not accounted for as Expenses in 2007 data, therefore I sum it to expenditures
joinby hogar using "$path\arriendo_gasto_2007.dta", unmatched(both) update
tab _merge
drop _merge
replace Arriendo_Gasto = max(0, Arriendo_Gasto)
sum arriendo_imputado Arriendo_Gasto if numero_persona==1
g dum_arriendo = (Arriendo_Gasto<arriendo_imputado) if numero_persona==1
tab dum_arriendo
drop dum_arriendo
g arriendo_total = max(0,Arriendo_Gasto) + max(0,arriendo_imputado)
replace Servicio = Servicio + max(0,arriendo_imputado)
replace gasto_tot = gasto_tot + max(0,arriendo_imputado)
replace gasto_total = gasto_total + max(0,arriendo_imputado)
replace vivienda_ssbb = vivienda_ssbb + max(0,arriendo_imputado)
/* sum Durable Servicio No_Durable Semi_Durable
foreach k in Durable Servicio No_Durable Semi_Durable {
replace `k'=`k'/gasto_total  
}
sum Durable Servicio No_Durable Semi_Durable */

pwcorr ytoth gasto_tot gasto_no_durable gasto_durable gasto_total No_Durable Semi_Durable Durable Servicio if numero_persona==1
pwcorr ytoth gasto_tot gasto_no_durable gasto_durable gasto_total No_Durable Semi_Durable Durable Servicio if numero_persona==1 [fw=${factor_op}]
// take away financial expenses and insurance from consumption, because it is really delayed consumption
g consumo_total = gasto_total-max(0,gtos_financieros) - max(0,dividendos) 
g consumo_Dur_SDur = max(0,Durable) + max(0,Semi_Durable) if gasto_total<.
//financial expenses are from category Services, but here I count only non-financial expenses
g consumo_Ser = max(0,Servicio)-max(0,gtos_financieros)-max(0,dividendos) if gasto_total<.   
g consumo_NDur_Ser = max(0,No_Durable)+max(0,consumo_Ser) if gasto_total<. 
g consumo_NDur_Ser_SDur = max(0,consumo_NDur_Ser)+max(0,Semi_Durable) if gasto_total<. 

sum consumo_total gasto_total if numero_persona==1
pwcorr consumo_total gasto_total if numero_persona==1
sum consumo_Dur_SDur gasto_durable Durable Semi_Durable if numero_persona==1
pwcorr consumo_Dur_SDur gasto_durable Durable Semi_Durable if numero_persona==1
sum consumo_NDur_Ser gasto_no_durable consumo_Ser Servicio No_Durable if numero_persona==1
pwcorr consumo_NDur_Ser gasto_no_durable consumo_Ser Servicio No_Durable if numero_persona==1
sum consumo_total  educacion_gasto gtos_medicos gtos_financieros dividendos if numero_persona==1
pwcorr consumo_total  educacion_gasto gtos_medicos gtos_financieros dividendos if numero_persona==1
// 
sum ytoth if ytoth>0
replace ytoth = r(min) if ytoth==.
replace ytoth = r(min) if ytoth<=0.00001
replace ytoth = . if parentesco!=1

xtile quintile_h = ytoth [fw=${factor_op}], nq(5)
tab quintile_h quintil_ing
pwcorr gasto_tot gasto_durable gasto_no_durable  quintil_ing ingreso_total ytoth ingresoreal arriendo_imputado [fw=${factor_op}]
sum gasto_tot gasto_durable gasto_no_durable  quintil_ing ingreso_total ytoth ingresoreal arriendo_imputado [fw=${factor_op}]
pwcorr quintil_ing quintile_h

tab  area_goegrafica [fw=${factor_op}]
tab  area_goegrafica [fw=${factor_op}]

qui {
* Por integrantes
bysort hogar: egen numh=count(hogar)
bysort hogar: egen area_goegrafica_max = max(area_goegrafica)
replace area_goegrafica=area_goegrafica_max if area_goegrafica==.
drop area_goegrafica_max

recode numh (7/.=7)

g edad = grupo_edad
replace edad = -2 + edad*5
replace edad = min(edad, 78) if edad<.
g edad1 = edad
g edad2 = edad1*edad
g edad3 = edad2*edad
g edad4 = edad3*edad
g edad5 = edad4*edad
*recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
*       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16

g aux_edad = (grupo_edad<=4)
g aux_edad1=(grupo_edad>4 & grupo_edad<=13)
g aux_edad2 = (grupo_edad>13)

bysort hogar: egen num_men=sum(aux_edad)
recode num_men (3/.=3) // use 3 or 4 as upper bound
bysort hogar: egen num_adult=sum(aux_edad1)
recode num_adult (4/.=4) // use 4 or 5 as upper bound
bysort hogar: egen num_sen=sum(aux_edad2)
recode num_sen (1/.=1) // use 1 or 2 as upper bound

* Por región
g region=1 if area_goegrafica==2
replace region=2 if area_goegrafica==1

* Por edad
g tr_edad=0
replace tr_edad=1 if grupo_edad>3 & grupo_edad<=5
replace tr_edad=2 if grupo_edad>5 & grupo_edad<=7
replace tr_edad=3 if grupo_edad>7 & grupo_edad<=9
replace tr_edad=4 if grupo_edad>9 & grupo_edad<=11
replace tr_edad=5 if grupo_edad>11 & grupo_edad<=13

g tr_edad2=tr_edad
recode tr_edad2 (1/2=1) (3/4=2) (5=3)

* Home ownership
g vivprop = tenencia_vivienda
recode vivprop 2/.=0

* por educación  Tramos de educación
replace educacion = . if educacion==98
g educ = educacion
*recode educ (1/7 = 1) (8/10 = 2) (11/14 = 3) (15 = 4)
*recode educ (1/5 = 1) (6/8 = 2) (9/11 = 3) (12/15 = 4)
recode educ (1/7 = 1) (8/10 = 2) (11/13 = 3) (14/15 = 4)
*recode educ (1/8 = 1) (9/11 = 2) (12/15 = 3)
replace educacion = . if educ==.
replace educacion = . if educ==98
bysort area_goegrafica vivprop num_adul num_men tr_edad quintile_h: egen educ_mode = mode(educ), minmode
replace educ = educ_mode if educ==.

*keep if  numero_persona==1
di "Consumo Total"
}
/* //
foreach x of varlist tr_edad tr_edad2 educ num_adul num_men num_sen numh region {
tabstat gasto_tot [fw=factor], by(`x') stat (n mean q)
}
//
di "Consumo no durable"
foreach x of varlist tr_edad tr_edad2 educ num_adul num_men num_sen numh region {
tabstat gasto_no_durable [fw=factor], by(`x') stat (n mean q)
}
//  */

// Collapse dataset
rename area_goegrafica zona2
recode zona2 1=2 2=1
rename educ educ_yr

g tedu = educ_yr
*recode educ_yr 1=7 2=11 3=12 4=16
recode educ_yr 1=7 2=11 3=13 4=16
*recode educ_yr 1=11 2=13 3=16
local cond_vars "zona2 vivprop num_adul num_men num_sen tedu tr_edad2 quintile_h"
g pco1 = parentesco
g z = 1
//
g actividad = rama_actividad
g sector_ind = actividad
recode sector_ind 0/1=1 2/4=2 5/10=3 // 1/2=1 3/5=2 6/10=3
capture drop educ_mode
g educ = educacion
*recode educ (1/10 = 1) (11/13 = 2) (14/15 = 3)
*recode educ (1/8 = 1) (9/11 = 2) (12/15 = 3)
recode educ (1/10 = 1) (11/13 = 2) (14/15 = 3)
replace educ = . if educ==98
replace educacion = . if educ==.
bysort zona2 vivprop num_adul num_men tr_edad quintile_h: egen educ_mode = mode(educ), minmode
replace educ = educ_mode if educ==.
g yai = arriendo_imputado
g yaotp = 0
g yact = 0
g ocup = 0
replace ocup = 1 if ingreso_trabajo_dependiente>0 & ingreso_trabajo_dependiente<.
replace ocup = 1 if ingreso_trabajo_independiente>0 & ingreso_trabajo_independiente<.
g desem =  1-ocup // 0 if ocup==1 
*replace desem = 1 if categoria_ocupacional==6 
*replace desem = 1 if grupo_ocupacional==.
*replace desem = 1 if rama_actividad==.
replace desem = 1 if categoria_ocupacional==6 //*
*replace desem = . if grupo_ocupacional==.
*replace desem = . if rama_actividad==.
/* replace desem = . if grupo_ocupacional==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = . if rama_actividad==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000 */
replace desem = 1 if grupo_ocupacional==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = 1 if rama_actividad==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000 
replace desem = . if grupo_edad>=14
replace desem = . if grupo_edad<=4
replace ocup =. if desem==.
//
sum
// Bootstrap using segmentos as strata
egen segmento = group(zona2 ${factor_op})
bysort hogar: egen segmento_mode = mean(segmento)
replace segmento = segmento_mode if segmento==.
drop segmento_mode
sum seg*
if ${esi_bt_op}==1 {  // Bootstrap the sample
egen id_gr = group(${factor_op})
bsample, strata(id_gr) 
drop id_gr
}
g year = 2006
g quarter = 4
save "$path4b\expenditures_${data_save_emp}.dta", replace

do "$path5bbb\epf_pincome.do"
/* */
if ${print_regs}==1 {  // Print regressions
noisily {
*do "$path5bbb\epf_equivalence_c.do"
do "$path5bbb\epf_equivalence_c2.do"
}
}
else {
*do "$path5bbb\epf_equivalence_c.do"
do "$path5bbb\epf_equivalence_c2.do"
}  
//
