set more off
global path "C:\DAT\\Encuestas\EPF\2011_2012"
global factor_op "factor_all"
global year_epf = 2012

use "$path\EPF_2012.dta", clear
*g factor_all=ceil(factor_expansion_anual)
bysort hogar: egen fac_hogar = max(factor_all)
replace factor_all = ceil(fac_hogar) if factor_all==.
drop fac_hogar
g sexo = SEXO
g parentesco = PARENTESCO
tab  parentesco
sum ${factor_op}
joinby FOLIO using "$path\gasto_tipo_2012.dta", unmatched(both) update  
// FOLIO hogar give different results (This is because FOLIO of Gastos has more 
// ids than FOLIO in Personas/Income and therefore group gives different ids to 
// the same FOLIO in different datasets
tab _merge
drop if _merge==2
sum ${factor_op}
drop _merge
drop if hogar==.
g arriendo_imputado = max(0,AI_VP) + max(0, AI_VS2) if parentesco==1

// Arriendo Imputado is already accounted for as Expenses in 2012 data, no need to sum it
joinby FOLIO using "$path\arriendo_gasto_2012.dta", unmatched(both) update
tab _merge
drop if _merge==2
drop if hogar==.
drop _merge
replace Arriendo_Gasto = max(0, Arriendo_Gasto)
sum arriendo_imputado Arriendo_Gasto if numero_persona==1
g dum_arriendo = (arriendo_total<arriendo_imputado) if numero_persona==1
tab dum_arriendo
g dum_arriendo1 = (Arriendo_Gasto_IMP_VP<AI_VP) if numero_persona==1
tab dum_arriendo1
g dum_arriendo2 = (Arriendo_Gasto_IMP_VS<AI_VS2) if numero_persona==1
tab dum_arriendo2
drop dum_arriendo dum_arriendo1 dum_arriendo2
g dif_viv = max(0,AI_VP-Arriendo_Gasto_IMP_VP) + max(0, AI_VS2-Arriendo_Gasto_IMP_VS)
sum dif_viv if numero_persona==1 
replace arriendo_total = arriendo_total + max(0, dif_viv)
replace Arriendo_Gasto_IMP_VP = Arriendo_Gasto_IMP_VP + max(0,AI_VP-Arriendo_Gasto_IMP_VP)
replace Arriendo_Gasto_IMP_VS = Arriendo_Gasto_IMP_VS + max(0,AI_VS2-Arriendo_Gasto_IMP_VS)
replace Servicio = Servicio + max(0,dif_viv)
replace gasto_tot = gasto_tot + max(0,dif_viv)
replace gasto_total = gasto_total + max(0,dif_viv)
replace vivienda_ssbb = vivienda_ssbb + max(0,dif_viv)
sum arriendo_total arriendo_imputado Arriendo_Gasto Arriendo_Gasto_IMP_VP Arriendo_Gasto_IMP_VS AI_VP AI_VS2 if numero_persona==1
/*sum Durable Servicio No_Durable Semi_Durable
foreach k in Durable Servicio No_Durable Semi_Durable {
replace `k'=`k'/gasto_total  
}
sum Durable Servicio No_Durable Semi_Durable */

g ingreso_trabajador_dependiente = max(INGTD, INGDA,INGDA_HD,INGDH,INGDH_HD) + max(0,INGOTA)  
g ingreso_trabajador_independiente = max(INGTI, INGDPI,INGDPI_HD,INGDCP,INGDCP_HD) + max(0,INGOTI)
g ingreso_propiedad = INGP
g transferencias = max(0,INGT_NETA) if INGT_NETA<.
capture g ingreso_trabajo_dependiente = ingreso_trabajador_dependiente
captur g ingreso_trabajo_independiente = ingreso_trabajador_independiente
egen ingreso_total = rowtotal(INGF INGJ ingreso_trabajador_dependiente ingreso_trabajador_independiente ingreso_propiedad transferencias), missing
bysort hogar: egen ytoth = total(ingreso_total)
g ingresoreal = ytoth
sum ytoth if ytoth>0
replace ytoth = r(min) if ytoth==. & parentesco==1
replace ytoth = r(min) if ytoth>0 & ytoth<=0.00001
replace ytoth = . if parentesco!=1
xtile quintile_h = ytoth [fw=${factor_op}], nq(5)

/*g year = 2011 if mes>=8
replace year = 2012 if mes<=7
g quarter = ceil(mes/3)
joinby year quarter using "D:\DAT\DPF\Analisis Financiero\Sector Hogares\Encuestas\EPF\uf_trim2.dta", unmatched(master) update
sum uf
replace uf = uf/r(max)
replace ingresoreal=ingresoreal*uf
replace ingresoreal = . if parentesco!=1
pwcorr ytoth ingresoreal
drop uf _merge year quarter  */

pwcorr ytoth INGDHOG_HD GASTOT_FNR gasto_tot gasto_no_durable gasto_durable gasto_total No_Durable Semi_Durable Durable Servicio if numero_persona==1
pwcorr ytoth INGDHOG_HD GASTOT_FNR gasto_tot gasto_no_durable gasto_durable gasto_total No_Durable Semi_Durable Durable Servicio if numero_persona==1 [fw=${factor_op}]
// take away financial expenses and insurance from consumption, because it is really delayed consumption
g consumo_total = gasto_total-max(0,gtos_financieros) - max(0,dividendos) if numero_persona==1 
g consumo_Dur_SDur = max(0,Durable) + max(0,Semi_Durable) if gasto_total<.
//financial expenses are from category Services, but here I count only non-financial expenses
g consumo_Ser = max(0,Servicio)-max(0,gtos_financieros)-max(0,dividendos) if gasto_total<.   
g consumo_NDur_Ser = max(0,No_Durable)+max(0,consumo_Ser) if gasto_total<. 
g consumo_NDur_Ser_SDur = max(0,consumo_NDur_Ser)+max(0,Semi_Durable) if gasto_total<. 

sum consumo_total gasto_total if numero_persona==1
pwcorr consumo_total gasto_total if numero_persona==1
sum consumo_Dur_SDur gasto_durable Durable Semi_Durable if numero_persona==1
pwcorr consumo_Dur_SDur gasto_durable Durable Semi_Durable if numero_persona==1
sum consumo_NDur_Ser gasto_no_durable consumo_Ser Servicio No_Durable if numero_persona==1
pwcorr consumo_NDur_Ser gasto_no_durable consumo_Ser Servicio No_Durable if numero_persona==1
sum consumo_total  educacion_gasto gtos_medicos gtos_financieros dividendos if numero_persona==1
pwcorr consumo_total  educacion_gasto gtos_medicos gtos_financieros dividendos if numero_persona==1
// 
pwcorr gasto_tot gasto_durable gasto_no_durable ingreso_total ytoth ingresoreal arriendo_imputado [fw=${factor_op}]
sum gasto_tot gasto_durable gasto_no_durable  ingreso_total ytoth ingresoreal arriendo_imputado [fw=${factor_op}]

g area_goegrafica = ZONA
tab  area_goegrafica [fw=${factor_op}]
tab  area_goegrafica [fw=${factor_op}]

qui {
* Por integrantes
bysort hogar: egen numh=count(hogar)
recode numh (7/.=7)

g edad = EDAD
replace edad = 36 if EDAD<0
g edad1 = edad
g edad2 = edad1*edad
g edad3 = edad2*edad
g edad4 = edad3*edad
g edad5 = edad4*edad
g grupo_edad = edad
recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16
*replace grupo_edad = 1+grupo_edad
*replace grupo_edad = ceil(grupo_edad/5)
*replace grupo_edad = min(grupo_edad, 16)	  

g aux_edad = (grupo_edad<=4)
g aux_edad1=(grupo_edad>4 & grupo_edad<=13)
g aux_edad2 = (grupo_edad>13)

bysort hogar: egen num_men=sum(aux_edad)
recode num_men (3/.=3) // use 3 or 4 as upper bound
bysort hogar: egen num_adult=sum(aux_edad1)
recode num_adult (4/.=4) // use 4 or 5 as upper bound
bysort hogar: egen num_sen=sum(aux_edad2)
recode num_sen (1/.=1) // use 1 or 2 as upper bound

* Por región
g region=1 if area_goegrafica==2
replace region=2 if area_goegrafica==1

* Por edad
g tr_edad=0
replace tr_edad=1 if grupo_edad>3 & grupo_edad<=5
replace tr_edad=2 if grupo_edad>5 & grupo_edad<=7
replace tr_edad=3 if grupo_edad>7 & grupo_edad<=9
replace tr_edad=4 if grupo_edad>9 & grupo_edad<=11
replace tr_edad=5 if grupo_edad>11 & grupo_edad<=13

g tr_edad2=tr_edad
recode tr_edad2 (1/2=1) (3/4=2) (5=3)

* Home ownership
g tenencia_vivienda = TVP
replace tenencia_vivienda = . if TVP<0
recode tenencia_vivienda 1/2=1
g vivprop = tenencia_vivienda
recode vivprop 2/.=0

* por educación  Tramos de educación
g educ = EDUNI
*recode educ (1/7 = 1) (8/10 = 2) (11/14 = 3) (15 = 4)
*recode educ (1/5 = 1) (6/8 = 2) (9/11 = 3) (12/15 = 4)
recode educ (1/5 = 1) (6/9 = 2) (10/11 = 3) (12/15 = 4)
*recode educ (1/8 = 1) (9/11 = 2) (12/15 = 3)
replace educ = . if educ==98
replace educ = . if educ==0
replace educacion = . if educ==.
bysort area_goegrafica vivprop num_adul num_men tr_edad quintile_h: egen educ_mode = mode(educ), minmode
replace educ = educ_mode if educ==.

*keep if  numero_persona==1
di "Consumo Total"
}
/* //
foreach x of varlist tr_edad tr_edad2 educ num_adul num_men num_sen numh region {
tabstat gasto_tot [fw=factor], by(`x') stat (n mean q)
}
//
di "Consumo no durable"
foreach x of varlist tr_edad tr_edad2 educ num_adul num_men num_sen numh region {
tabstat gasto_no_durable [fw=factor], by(`x') stat (n mean q)
}
//  */

// Collapse dataset
rename area_goegrafica zona2
recode zona2 1=2 2=1
*rename educ educ_yr
g educ_yr = educ
recode educ_yr 1=7 2=11 3=13 4=16
g educ_yr2 = EDUE
replace educ_yr2 = min(educ_yr2,20) if educ_yr2<.
replace educ_yr = educ_yr2 if educ_yr==.
replace educ_yr = . if educ_yr==0

*g tedu = educ_yr
g tedu = educ
local cond_vars "zona2 vivprop num_adul num_men num_sen tedu tr_edad2 quintile_h"
g pco1 = parentesco
g z = 1
//
*g actividad = rama_actividad
g actividad = AECIUO
g sector_ind = actividad
*recode sector_ind 0/1=1 2/4=2 5/10=3 // 1/2=1 3/5=2 6/10=3
recode sector_ind 1/5=3 6=1 7/8=2 9=3 10=3 // 1/2=1 3/5=2 6/10=3
replace sector_ind=3 if sector_ind==. & ingreso_trabajador_dependiente>0 & ingreso_trabajador_dependiente<.
replace sector_ind=3 if sector_ind==. & ingreso_trabajador_independiente>0 & ingreso_trabajador_independiente<.
* g grupo_ocupacional=AECIUO
* g rama_actividad=AECIUO
* g categoria_ocupacional=AECISE //CISE_4, CISEG

capture drop educ_mode
*g educ = educacion
capture drop educ
g educ = EDUNI
*recode educ (1/10 = 1) (11/13 = 2) (14/15 = 3)
*recode educ (1/8 = 1) (9/11 = 2) (12/15 = 3)
recode educ (1/9 = 1) (10/11 = 2) (12/15 = 3)
replace educ = . if educ==98
replace educ = . if educ==0
replace educacion = . if educ==.
bysort zona2 vivprop num_adul num_men tr_edad quintile_h: egen educ_mode = mode(educ), minmode
replace educ = educ_mode if educ==.
g yai = arriendo_imputado
g yaotp = INGP
g yact = INGF
g ocup = 0
replace ocup = 1 if ingreso_trabajador_dependiente>0 & ingreso_trabajador_dependiente<.
replace ocup = 1 if ingreso_trabajador_independiente>0 & ingreso_trabajador_independiente<.
g desem =  1-ocup // 0 if ocup==1 
*replace desem = 1 if categoria_ocupacional==6 
*replace desem = 1 if grupo_ocupacional==.
*replace desem = 1 if rama_actividad==.
/* replace desem = 1 if AECISE==7
replace desem = 1 if CISEG<0
replace desem = 1 if CISEG==.
replace desem = 1 if CISE_4==.
replace desem = 1 if AECIUO==. */
replace desem = 1 if AECISE==7
replace desem = 1 if CISEG<0 & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = 1 if CISEG==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = 1 if CISE_4==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = 1 if AECIUO==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
/* replace desem = . if AECISE==7
replace desem = . if CISEG<0 & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = . if CISEG==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = . if CISE_4==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000
replace desem = . if AECIUO==. & ingreso_trabajo_dependiente<=1000 & ingreso_trabajo_independiente<=1000  */
replace desem = . if grupo_edad>=14
replace desem = . if grupo_edad<=4
replace ocup =. if desem==.
//
sum
// Bootstrap using segmentos as strata
egen segmento = group(zona2 ${factor_op})
bysort hogar: egen segmento_mode = mean(segmento)
replace segmento = segmento_mode if segmento==.
drop segmento_mode
sum seg*
if ${esi_bt_op}==1 {  // Bootstrap the sample
egen id_gr = group(${factor_op})
bsample, strata(id_gr) 
drop id_gr
}
g year = 2012
g quarter = 4
save "$path4b\expenditures_${data_save_emp}.dta", replace

do "$path5bbb\epf_pincome.do"
/*  */
if ${print_regs}==1 {  // Print regressions
noisily {
do "$path5bbb\epf_equivalence_c2.do"
}
}
else {
do "$path5bbb\epf_equivalence_c2.do"
}  
//


