set more off
global factor_op "factor_all"
global year_epf = 2017

 // g spouse_partner_hhead = (parentesco>=2 & parentesco<=3) if year>=2007
*g ytot_ind = ingreso_total
use "$path_epf\data_results\EPF2017_HHallmembers.dta", clear
g year=2017
g sexo=SEXO
g parentesco=PARENTESCO
rename hogar hogar0
joinby folio using "$path_s0\data_results\\gastos_hogar_DurSDur_Tot.dta", unmatched(both) update
tab _merge
egen hogar = group(folio folio_v hogar)  //sum hogar fol*
drop _merge folio_v 
sort hogar parentesco
bysort hogar: g numero_persona = _n //bysort hogar parentesco: egen numero_persona2 = count(parentesco) //sum numero_persona*
tab PARENTESCO
g Arriendo_Gasto = max(0, arriendo_gasto)
replace arriendo_imputado = max(0,arriendo_imputado)
replace parentesco = parentesco-1 if parentesco>=4  // Conviviente de hecho y Conviviente Civil are treated the same way
sum hogar year factor_all parentesco numero_persona gasto_tot gasto_durable gasto_no_durable arriendo*
g No_Durable = gasto_no_durable
g Semi_Durable = gasto_semi_durable 
g Durable = gasto_durable
g gasto_total = gasto_tot

quietly {   
foreach kv of varlist ING* { 
replace `kv' = max(0,`kv') if `kv'<0
}
}
g ingreso_trabajador_dependiente = max(0, INGTD, INGDA,INGDA_HD,INGDH,INGDH_HD) + max(0,INGOTA)  
g ingreso_trabajador_independiente = max(0, INGTI, INGDPI,INGDPI_HD, INGDTI, INGDTI_HD) + max(0,INGDOTI) //+ max(0,INGOTI)   ,INGDCP,INGDCP_HD
g ingreso_propiedad = INGP
g transferencias = INGT_NETA
g yai = arriendo_imputado
g yaotp = INGP
g yact = INGF
capture g ingreso_trabajo_dependiente = ingreso_trabajador_dependiente
captur g ingreso_trabajo_independiente = ingreso_trabajador_independiente
pwcorr ytoth gasto_tot gasto_no_durable gasto_durable gasto_total No_Durable Semi_Durable Durable Servicio if numero_persona==1
egen educacion_gasto0 = rowtotal(CCPP CUOTA_CURSO ARANCEL MATRICULA ADMISION OTROS_EDU)
replace educacion_gasto0 = max(educacion_gasto,0)
replace educacion_gasto = max(educacion_gasto0, educacion_gasto)

egen ingreso_total = rowtotal(INGF INGJ ingreso_trabajador_dependiente ingreso_trabajador_independiente ingreso_propiedad transferencias), missing
g ingresoreal = ytoth
sum ytoth if ytoth>0, d
replace ytoth = max(r(p1), ytoth)
xtile quintile_h = ytoth [fw=${factor_op}], nq(5)
g consumo_total = gasto_total //gasto_total-max(0,gtos_financieros) - max(0,dividendos) if numero_persona==1 // take away financial expenses and insurance from consumption, because it is really delayed consumption
g consumo_Dur_SDur = gasto_durable //max(0,Durable) + max(0,Semi_Durable) if gasto_total<.
//financial expenses are from category Services, but here I count only non-financial expenses
g consumo_Ser = Servicio //max(0,Servicio)-max(0,gtos_financieros)-max(0,dividendos) if gasto_total<.   
g consumo_NDur_Ser = max(0,No_Durable)+max(0,consumo_Ser) if gasto_total<. 
g consumo_NDur_Ser_SDur = max(0,consumo_NDur_Ser)+max(0,Semi_Durable) if gasto_total<. 

g area_goegrafica = ZONA
tab  area_goegrafica [fw=${factor_op}]
tab  area_goegrafica [fw=${factor_op}]
qui {
// Por integrantes
recode numh (7/.=7)
g edad1 = edad
g edad2 = edad1*edad
g edad3 = edad2*edad
g edad4 = edad3*edad
g edad5 = edad4*edad
g grupo_edad = edad
recode grupo_edad 0/4=1 5/9=2 10/14=3 15/19=4 20/24=5 25/29=6 30/34=7 35/39=8 ///
       40/44=9 45/49=10 50/54=11 55/59=12 60/64=13 65/69=14 70/74=15 75/.=16  
g region=1 if area_goegrafica==2
replace region=2 if area_goegrafica==1
* Home ownership
g tenencia_vivienda = TVP
replace tenencia_vivienda = . if TVP<0
recode tenencia_vivienda 1/2=1 10=4

* por educación  Tramos de educación
sum EDUNIVEL EDUE // EDUE EDUCURSO EDUNIVEL EDUTERMINA
rename area_goegrafica zona2
recode zona2 1=2 2=1
g educ = EDUNI if EDUNI>0
recode educ (-100/11=1) (12/13=2) (14/17=3)      //recode educ (1/8 = 1) (9/12 = 2) (13/17 = 3)      
bysort zona2 vivprop num_adul numh tr_edad quintile_h: egen educ_mode = mode(educ), minmode
replace educ = educ_mode if educ==.
capture drop educ_mode
rename tedu tedu_2017
g tedu = EDUNI if EDUNI>0
recode tedu (-100/8=1) (9/11=2) (12/13=3) (14/17=4)
bysort zona2 vivprop num_adul numh tr_edad quintile_h: egen educ_mode = mode(tedu), minmode
replace tedu = educ_mode if educ==.

g educ_yr = tedu //educ
recode educ_yr 1=7 2=11 3=13 4=16
g educ_yr2 = EDUE if EDUE>0
replace educ_yr2 = min(educ_yr2,20) if educ_yr2<.
replace educ_yr = educ_yr2 if educ_yr==.
replace educ_yr = . if educ_yr==0
}
local cond_vars "zona2 vivprop num_adul num_men num_sen tedu tr_edad2 quintile_h"
g pco1 = parentesco
g z = 1
sum PETG-CAEG AECISE CAT_IMP CISEG AECIUO88 AECIUO08 AE01- AE06B
keep if PETG==1
tab CAT_IMP // CISEG // AE08
sum AE06A AE06B // antiguedad en el empleo (años y meses)
tab AECIUO88_2
g actividad = AECIUO88_2   // g actividad = rama_actividad
g sector_ind = actividad     //recode actividad 0/1=1 2/4=2 5/10=3 
recode sector_ind -88/13=3 21/22=1 23/24=3 31/34=2 41/52=3 61=1 71/83=2 91=3 92/101=1
replace sector_ind=3 if sector_ind==.  // g grupo_ocupacional=AECIUO //g rama_actividad=AECIUO // g categoria_ocupacional=AECISE //CISE_4, CISEG
g ocup = (CAE==1)
rename desem desem_0
g desem = (CAE==2 | CAE==4) //1-ocup // 0 if ocup==1 
replace desem = 1 if ingreso_trabajo_dependiente<=150000 & ingreso_trabajo_independiente<=150000 & ingreso_trabajo_dependiente>0 & ingreso_trabajo_independiente>0
replace desem = 1 if AECISE==7
replace ocup = 0 if desem==1
egen segmento = group(zona2 VARSTRAT VARU) // VARU // ${factor_op}  // Bootstrap using segmentos as strata
g quarter = 4
sum SP01- SP04A // afiliacio de salud y previsional
sum TVP VP VS
rename ytoth_pi ytoth_pi_vs0
save "$path4b\expenditures_${data_save_emp}.dta", replace

do "$path5bbb\epf_pincome.do"
noisily {
do "$path5bbb\epf_equivalence_c2.do"
}
//
