set more off
global factor_op "factor_all"
global year_epf = 2012

use "$path4b\expenditures_${data_save_emp}_1997.dta", clear
joinby hogar year numero_persona using "$path4b\expenditures_${data_save_emp}_2007.dta", unmatched(both) update
tab _merge
drop _merge
joinby hogar year numero_persona using "$path4b\expenditures_${data_save_emp}_2012.dta", unmatched(both) update
tab _merge
drop _merge
joinby hogar year numero_persona using "$path4b\expenditures_${data_save_emp}_2017.dta", unmatched(both) update
tab _merge
drop _merge
save "$path4b\expenditures_${data_save_emp}_all.dta", replace

g decile_h=.
foreach yr of numlist 1997 2007 2012 2017 { 
xtile decile_h0 = ytoth if a1==1 & year==`yr' [fw=${factor_op}], nq(5)
bysort hogar year: egen decile_h00=max(decile_h0)
replace decile_h=decile_h00 if year==`yr' & decile_h==.
replace decile_h=1 if year==`yr' & decile_h==.
capture drop decile_h0 decile_h00
}
bysort hogar year: egen quintile_h00=max(quintile_h)
replace quintile_h=quintile_h00 if quintile_h==.
replace quintile_h=1 if quintile_h==.
capture drop quintile_h00

if ${UF_op}>0 {  // Real Currency
g uf_q4 = 13956.1	if year==1997
replace uf_q4 = 19433.5	if year==2007
replace uf_q4 = 22783.5	if year==2012
replace uf_q4 = 26798	if year==2017
if ${UF_op}==1 { 
local uf_ref = 13956.1
}
if ${UF_op}==2 { 
local uf_ref = 22783.5
}
display("`uf_ref'")
quietly {
*replace ytoth = ytoth-ln(uf_q4/13956.1)  // 1997 pesos
*replace ytoth = ytoth-ln(uf_q4/22783.5)  // 2012 pesos
rename ytoth_pi var_inc
foreach var of varlist var_inc {
replace `var' = `var'+ln(`uf_ref'/uf_q4)  
}
foreach var of varlist ing* consum* yai yaotp yact yto* transferencias arrie* Arrie* gas* alimentos_bebidas-dividendos {
replace `var' = `var'*(`uf_ref'/uf_q4)  
replace `var' = max( 0, `var') if `var'<=0
}
rename var_inc ytoth_pi 
}
drop uf_q4
}
order hogar year vivienda clave_hogar FO* ZO* PERS* zon* a1 numero_pers* *edad* *educ* ytoth_pi_vs0 parentesco, first  // seccion HOGAR
describe, short
quietly {
g constant=1
foreach var of varlist parentesco-constant {
local Kvar=1
foreach yr of numlist 1997 2007 2012 2017 {  // 1987  Keep only the variables that are common for all year
sum `var' if year==`yr'
local Kvar=min(r(N),`Kvar')
}
if `Kvar'==0  {
drop `var'
}
}
drop constant
}
describe, short
save "$path4b\expenditures_${data_save_emp}_all.dta", replace

capture log close
log using "$path4b\expenditures_all.log", replace
bysort year: tab parentesco [fw=factor_all] //bysort year: tab educ [fw=factor_all]
drop if grupo_edad==.
drop if grupo_edad<=5
drop if grupo_edad>=14
drop if tr_edad2==.
keep if parentesco==1
 
bysort year: sum parentesco zona2 vivprop numh num_adul num_men num_sen desem ///
quintile_h tr_edad tr_edad2 sector_ind ocup quintile_renta educ ///  quintil_ing
factor_all edad ytoth  gasto_total consumo_NDur_Ser_SDur ///  arriendo_total
consumo_total ytoth_pi pr_unemployed-ytot_ind2 ///
layoffs_sect-unemp_sect sd_ln_inc_sect sd_inc_sect ///
ytot_p_h ytoth_pi_exp ytoth_cons if parentesco==1

bysort year: tab educ if parentesco==1 & zona2==2 [fw=factor_all]
bysort year: tab educ_yr if parentesco==1 & zona2==2 [fw=factor_all]   //bysort year: sum EDU* edu*
bysort year: sum zona2 vivprop numh num_adul num_men num_sen desem* if parentesco==1 & zona2==2 [fw=factor_all]
foreach var of varlist quintile_h tr_edad tr_edad2 sector_ind ocup quintile_renta  { //quintil_ing
bysort year: tab `var'  if parentesco==1 & zona2==2 [fw=factor_all]
}
bysort year: sum edad ytoth  gasto_total consumo_NDur_Ser_SDur /// EDAD arriendo_total
consumo_total ingreso_total-ingresoreal ytoth_pi pr_unemployed-ytot_ind2 ///
layoffs_sect-unemp_sect ing_tot_ocup- sd_inc rr_inc_sec sd_ln_inc_sect sd_inc_sect ///
ytot_p_h ytoth_pi_exp ytoth_cons if parentesco==1 & zona2==2 [fw=factor_all], d
log close
