capture drop *FE_hh* 
capture drop *FENL_hh* 
capture drop *TotalW_hh* *PW_hh_past* *PW_hh* *PW2_hh* *PW2_APS* *PW2_tax* 
capture drop *TotalWI_hh* 
capture drop *PWI_hh_past* 
capture drop *PWI_hh* *PW2I_hh* *PW2I_APS* *PW2I_tax*
capture drop FENL_* TotalW*
capture drop YNLaborI income_male_sh* 
capture drop Male_share* 
capture drop PW2*
capture drop prob_20*
capture drop discount_future_t*
// Discounted Value of Future Non-Labor Income
g YNLaborI = max(0,yai) + max(0,yaotp) + max(0,yact) + max(0, transferencias) if a1==1
g FENL_hh = DS_FS2*YNLaborI if a1==1

//  Probability of Contribution
g PCS_male = max(PCS_Men_PSS,PCS_Men_P1) if sexo==1 & Male_LFP==1 
replace PCS_male = max(PCS_Men_PSS,PCS_Men_P0) if sexo==1 & Male_LFP==0
bysort folio_hogar: egen PCS_s1 = max(PCS_male) 
g PCS_female = max(PCS_Women_PSS3,PCS_Women_P1) if sexo==2 & Female_LFP==1
replace PCS_female = min(PCS_Women_PSS3,PCS_Women_P0) if sexo==2 & Female_LFP==0
bysort folio_hogar: egen PCS_s2 = max(PCS_female) 
//  Probability of Contribution conditional on informal work
g PCS_male_I = max(PCS_Men_PSS,PCS_Men_P1, PCS_Men_P1_I1,PCS_Men_P1_ISS) if sexo==1 & Male_ILFP==0
replace PCS_male_I = min(PCS_Men_P1,PCS_Men_P1_I1,PCS_Men_P1_ISS) if sexo==1 & Male_ILFP==1
replace PCS_male_I = min(PCS_Men_P1_ISS, PCS_Men_P0) if sexo==1 & PCS_male_I==.
replace PCS_male_I = PCS_male if sexo==1 & PCS_male_I==.
bysort folio_hogar: egen PCSI_s1 = max(PCS_male_I) 
g PCS_female_I = max(PCS_Women_PSS3,PCS_Women_P1, PCS_Women_P1_I1,PCS_Women_P1_ISS) if sexo==2 & Female_ILFP==0
replace PCS_female_I = min(PCS_Women_P1, PCS_Women_P1_I1,PCS_Women_P1_ISS) if sexo==2 & Female_ILFP==1
replace PCS_female_I = min(PCS_Women_P1_ISS, PCS_Women_P0) if sexo==2 & PCS_female_I==.
replace PCS_female_I = PCS_female if sexo==2 & PCS_female_I==.
bysort folio_hogar: egen PCSI_s2 = max(PCS_female_I) 


// Share of Male Labor Income in Household: All 4 measures have correlation above 87% with each other
// use either FE_x_cum_PSS, FE_x_cum_P1 or max(FE_x_cum_PSS,FE_x_cum_P1) for Men
// use either FE_x_cum_P1 for Women with LFP=1, FE_x_cum_P0 for Women with LFP=0
// Cuurent Earnings
g EI_x_male = EI_x if sexo==1 & Male_LFP!=. 
g EI_x_female = EI_x if sexo==2 & Female_LFP!=. //Female_LFP==1
bysort folio_hogar: egen EI_s1 = max(EI_x_male) 
bysort folio_hogar: egen EI_s2 = max(EI_x_female) 
//  Future Earnings
g FE_male = max(FE_x_cum_PSS,FE_x_cum_P1) if sexo==1 & Male_LFP==1
replace FE_male = max(FE_x_cum_PSS,FE_x_cum_P0) if sexo==1 & Male_LFP==0
bysort folio_hogar: egen FE_s1 = max(FE_male) 
g FE_female = max(FE_x_cum_PSS,FE_x_cum_P1) if sexo==2 & Female_LFP==1
replace FE_female = min(FE_x_cum_PSS,FE_x_cum_P0) if sexo==2 & Female_LFP==0
bysort folio_hogar: egen FE_s2 = max(FE_female) 
//      //  //  Male Share   //     //
g income_male_sh = max(0, income_male_spouse)/ ( max(0,income_male_spouse) + max(0,income_female_spouse) ) if a1==1
g income_male_sh0 = max(0, income_male_spouse_pot)/ ( max(0,income_male_spouse_pot) + max(0,income_female_spouse_pot) ) if a1==1
g income_male_sh1 = max(0, FE_s1)/ ( max(0,FE_s1) + max(0,FE_s2) ) if a1==1
g income_male_sh2 = max(0, EI_s1)/ ( max(0,EI_s1) + max(0,EI_s2) ) if a1==1
replace income_male_sh2 = max(income_male_sh1, income_male_sh2) if income_male_sh2<0.5
g income_male_sh3 = min(income_male_sh, income_male_sh0, income_male_sh1, income_male_sh2) if a1==1 & income_male_sh1>0.5 & income_male_sh2>0.5
g income_male_sh4 = max(income_male_sh, income_male_sh0, income_male_sh1, income_male_sh2) if a1==1
quietly  { 
foreach x of varlist income_male_sh-income_male_sh4 { //PW_hh PW_hh_past PW2_hh
replace `x' = income_male_sh4 if `x'==0 & Female_LFP!=. & Male_LFP!=. & a1==1
*replace `x' = income_male_sh3 if `x'==1 & Female_LFP!=. & Male_LFP!=. & a1==1

sum `x' if `x'>0 & `x'<1 & Female_LFP!=. & Male_LFP!=. & a1==1, d
replace `x' = max( r(p5), min(r(p95), `x' )) if Female_LFP!=. & Male_LFP!=. & a1==1
sum `x' if `x'>0 & `x'<1 & Female_LFP!=. & a1==1, d
replace `x' = min(r(p95), `x' ) if Female_LFP!=. & a1==1 
replace `x' = min(0.90, `x' ) if Female_LFP!=. & a1==1 & female_spouse_dummy==1
sum `x' if `x'>0 & `x'<1 & Male_LFP!=. & a1==1, d
replace `x' = max(r(p5), `x' ) if Male_LFP!=. & a1==1  
replace `x' = max(0.25, `x' ) if Male_LFP!=. & a1==1  & male_spouse_dummy==1

sum `x' if `x'>0 & Male_LFP!=. & a1==1 & sexo==1, d
replace `x' = max(r(p5), `x' ) if Male_LFP!=. & a1==1  & sexo==1
sum `x' if `x'<1 & Female_LFP!=. & a1==1 & sexo==2, d
replace `x' = min(r(p95), `x' ) if Female_LFP!=. & a1==1  & sexo==2
}
}
egen Male_share = rowmean(income_male_sh-income_male_sh4)
egen Male_share2 = rowmean(income_male_sh income_male_sh4)
replace Male_share = (Male_share+Male_share2)/2 if Male_share<. & Male_share2<.
drop Male_share2
replace Male_share = income_male_sh4 if Male_share==0
foreach x of varlist income_male_sh-Male_share { //PW_hh PW_hh_past PW2_hh
replace `x' = 1 if female_dummy==0 & Male_LFP!=. & a1==1
replace `x' = 0 if Female_LFP!=. & male_dummy==0 & a1==1
}
//      //  //     //     //

//  Household weighted average of Current and Future Earnings
g EI_hh = max(0,EI_s1)*Male_sh + max(0,EI_s2)*(1-Male_sh) //  Weighted Average of Current Earnings
g FE_hh = max(1,FE_s1)*Male_sh + max(1,FE_s2)*(1-Male_sh)  // Weighted Average of Future Earnings
replace FE_hh = max(1,FE_hh)
g PCS_hh = max(0,PCS_s1)*Male_sh + max(0,PCS_s2)*(1-Male_sh) 
g PCSI_hh = max(0,PCSI_s1)*Male_sh + max(0,PCSI_s2)*(1-Male_sh) 

//  Weighted Average of Future Wealth
g PW_male = max(PW_x_cum_PSS,PW_x_cum_P1) if sexo==1 & Male_LFP==1
replace PW_male = max(PW_x_cum_PSS,PW_x_cum_P0) if sexo==1 & Male_LFP==0
bysort folio_hogar: egen PW_s1 = max(PW_male) 
g PW_female = max(PW_x_cum_PSS,PW_x_cum_P1) if sexo==2 & Female_LFP==1
replace PW_female = min(PW_x_cum_PSS,PW_x_cum_P0) if sexo==2 & Female_LFP==0
bysort folio_hogar: egen PW_s2 = max(PW_female) 
g PW_hh = max(0,PW_s1)*Male_sh + max(0,PW_s2)*(1-Male_sh)
//  Weighted Average of Past Wealth
g PW_male_past = max(PW_x_cum_PSS_past,PW_x_cum_P1_past) if sexo==1 & Male_LFP==1
replace PW_male_past = max(PW_x_cum_PSS_past,PW_x_cum_P0_past) if sexo==1 & Male_LFP==0
bysort folio_hogar: egen PW_s1_past = max(PW_male_past) 
g PW_female_past = max(PW_x_cum_PSS_past,PW_x_cum_P1_past) if sexo==2 & Female_LFP==1
replace PW_female_past = min(PW_x_cum_PSS_past,PW_x_cum_P0_past) if sexo==2 & Female_LFP==0
bysort folio_hogar: egen PW_s2_past = max(PW_female_past) 
g PW_hh_past = max(0,PW_s1_past)*Male_sh + max(0,PW_s2_past)*(1-Male_sh)
g PW2_female = max(0,PW_s2_past)+max(0,PW_s2)
g PW2_male = max(0,PW_s1_past)+max(0,PW_s1)
g PW2_hh = max(0,PW_hh_past)+max(0,PW_hh)

//  Conditioning on Informal Work in the present //
//  Weighted Average of Future Wealth conditional on Informal Work
g PW_male_I = max(PW_x_cum_PSS,PW_x_cum_P1,PW_x_cum_P1_I1,PW_x_cum_P1_ISS) if sexo==1 & Male_ILFP==0 
replace PW_male_I = min(PW_x_cum_P1,PW_x_cum_P1_I1,PW_x_cum_P1_ISS) if sexo==1 & Male_ILFP==1
replace PW_male_I = min(PW_x_cum_P1_ISS, PW_x_cum_P0) if sexo==1 & PW_male_I==.
replace PW_male_I = PW_male if sexo==1 & PW_male_I==.
bysort folio_hogar: egen PWI_s1 = max(PW_male_I) 
g PW_female_I = max(PW_x_cum_PSS,PW_x_cum_P1,PW_x_cum_P1_I1,PW_x_cum_P1_ISS) if sexo==2 & Female_ILFP==0
replace PW_female_I = min(PW_x_cum_P1,PW_x_cum_P1_I1,PW_x_cum_P1_ISS) if sexo==2 & Female_ILFP==1
replace PW_female_I = min(PW_x_cum_P1_ISS, PW_x_cum_P0) if sexo==2 & PW_female_I==.
replace PW_female_I = PW_female if sexo==2 & PW_female_I==.
bysort folio_hogar: egen PWI_s2 = max(PW_female_I) 
g PWI_hh = max(0,PWI_s1)*Male_sh + max(0,PWI_s2)*(1-Male_sh)
//  Weighted Average of Past Wealth conditional on Informal Work
g PW_male_I_past = max(PW_x_cum_PSS_past,PW_x_cum_P1_past,PW_x_cum_P1_I1_past,PW_x_cum_P1_ISS_past) if sexo==1 & Male_ILFP==0
replace PW_male_I_past = min(PW_x_cum_P1_past,PW_x_cum_P1_I1_past,PW_x_cum_P1_ISS_past) if sexo==1 & Male_ILFP==1
replace PW_male_I_past = min(PW_x_cum_P1_ISS_past, PW_x_cum_P0_past) if sexo==1 & PW_male_I_past==.
replace PW_male_I_past = PW_male_past if sexo==1 & PW_male_I_past==.
bysort folio_hogar: egen PWI_s1_past = max(PW_male_I_past)
g PW_female_I_past = max(PW_x_cum_PSS_past,PW_x_cum_P1_past,PW_x_cum_P1_I1_past,PW_x_cum_P1_ISS_past) if sexo==2 & Female_ILFP==0
replace PW_female_I_past = min(PW_x_cum_P1_past,PW_x_cum_P1_I1_past,PW_x_cum_P1_ISS_past) if sexo==2 & Female_ILFP==1
replace PW_female_I_past = min(PW_x_cum_P1_ISS_past, PW_x_cum_P0_past) if sexo==2 & PW_female_I_past==.
replace PW_female_I_past = PW_female_past if sexo==2 & PW_female_I_past==.
bysort folio_hogar: egen PWI_s2_past = max(PW_female_I_past) 
g PWI_hh_past = max(0,PWI_s1_past)*Male_sh + max(0,PWI_s2_past)*(1-Male_sh)
g PW2I_female = max(0,PWI_s2_past)+max(0,PWI_s2)
g PW2I_male = max(0,PWI_s1_past)+max(0,PWI_s1)
g PW2I_hh = max(0,PWI_hh_past)+max(0,PWI_hh)

drop PW_male PW_male_past PW_female PW_female_past 
rename PW_s1 PW_male
rename PWI_s1 PWI_male
rename PW_s1_past PW_male_past
rename PWI_s1_past PWI_male_past
rename PW_s2 PW_female
rename PWI_s2 PWI_female
rename PW_s2_past PW_female_past
rename PWI_s2_past PWI_female_past
do "$path_epf\format_codes\Pension_tope_income.do"
*foreach var of varlist PW_s1 PW_s2 PW_hh PW_s1_past PW_s2_past PW_hh_past-PW2_hh PWI_s1 PWI_s2 PWI_hh PWI_s1_past PWI_s2_past PWI_hh_past-PW2I_hh {
foreach var of varlist PW_male PW_female PW_hh PW_male_past PW_female_past PW_hh_past-PW2_hh PWI_male PWI_female PWI_hh PWI_male_past PWI_female_past PWI_hh_past-PW2I_hh {
replace `var' = ${pcrate}*`var'
}
g TotalW_hh = max(0,FE_hh) + ${discount_factor}*(max(0,PW2_hh) )
g TotalWI_hh = max(0,FE_hh) + ${discount_factor}*(max(0,PW2I_hh) )
//   //   //    //
