// Creates Log measures of Future Earnings and Wealth
order Male_* Female_*, first
capture drop YLaborI-ln_PW2I_tax_y 
capture drop YLaborI*
g YLaborI = max(0, exp(ytoth) - YNLaborI )
sum YLaborI if YLaborI>0 & a1==1, d  //sum YLaborI if YLaborI>0 & a1==1 [fw=${factor_op}], d
replace YLaborI = max(YLaborI, r(p1) ) if a1==1
replace FENL_hh = max(0,FENL_hh)/YLaborI if a1==1  // NonLabor Income as Ratio of current income
replace TotalW_hh = TotalW_hh + max(0,FENL_hh)
replace TotalWI_hh = TotalWI_hh + max(0,FENL_hh)

// Multiply Ratios by earnings and generate tax
foreach x in PW2_hh PW2I_hh { //PW_hh PW_hh_past PW2_hh
g `x'_y = `x'*YLaborI //either exp(ytoth) or YLaborI
}
foreach x in PW2_male PW2I_male { //PW_hh PW_hh_past PW2_hh
g `x'_y = `x'*YLaborI*Male_share //either exp(ytoth) or YLaborI
}
foreach x in PW2_female PW2I_female { //PW_hh PW_hh_past PW2_hh
g `x'_y = `x'*YLaborI*(1-Male_share) //either exp(ytoth) or YLaborI
}
// Calculate Future Pension Monthly Income and associated taxes paid (0 for most of the sample)
Pension_income PW2_hh_y PW2_male_y PW2_female_y 0
Ingreso_bruto monthly_afp_female 1
Ingreso_bruto monthly_afp_male 1
sum monthly_afp_female_mtax monthly_afp_male_mtax
sum monthly_afp_male_mtax monthly_afp_male if monthly_afp_male_mtax>0, d
pwcorr monthly_afp_male_mtax monthly_afp_male if monthly_afp_male_mtax>0
Pension_PBS PW2_female_y 0 1 2
rename APS_total_PV PW2_APS
g PW2_tax = (monthly_annuity_sum_female*max(0,monthly_afp_female_mtax)) + (monthly_annuity_sum*max(0, monthly_afp_male_mtax))
drop monthly_retirement_afp-female_early_penalty monthly_afp_female_mtax monthly_afp_male_mtax

Pension_income PW2I_hh_y PW2I_male_y PW2I_female_y 1
Ingreso_bruto monthly_afp_female 1
Ingreso_bruto monthly_afp_male 1
sum monthly_afp_female_mtax monthly_afp_male_mtax
sum monthly_afp_male_mtax monthly_afp_male if monthly_afp_male_mtax>0, d
pwcorr monthly_afp_male_mtax monthly_afp_male if monthly_afp_male_mtax>0
Pension_PBS PW2_female_y 1 1 2
rename APS_total_PV PW2I_APS
g PW2I_tax = (monthly_annuity_sum_female* max(0,monthly_afp_female_mtax)) + (monthly_annuity_sum*max(0, monthly_afp_male_mtax))
drop monthly_retirement_afp-female_early_penalty monthly_afp_female_mtax monthly_afp_male_mtax PW2_hh_y-PW2I_female_y 

g discount_future_tax = ${discount_factor}^(1+${age_retirement}-min(${age_retirement},edad)) if edad>=25 & edad<=65  // Discount future taxes to present value
sum PW2_tax PW2I_tax if PW2_tax>0 & PW2I_tax>0
replace PW2_tax = max(0,PW2_tax)*max(0,discount_future_tax)
replace PW2I_tax = max(0,PW2I_tax)*max(0,discount_future_tax)
sum a1 PW2_tax PW2I_tax PW2_APS PW2I_APS if a1==1
pwcorr PW2_tax PW2I_tax PW2_APS PW2I_APS if a1==1
pwcorr PW2_tax PW2I_tax if a1==1 & PW2_tax>0 & PW2I_tax>0
pwcorr PW2_APS PW2I_APS if a1==1 & PW2_APS>0 & PW2I_APS>0
sum prob_20yI0_hh prob_20yI0_male prob_20yI0_female prob_20yI1_hh prob_20yI1_male prob_20yI1_female if male_dummy==1 [fw=${factor_op}] 
sum prob_20yI0_hh prob_20yI0_male prob_20yI0_female prob_20yI1_hh prob_20yI1_male prob_20yI1_female if female_dummy==1 [fw=${factor_op}] 
pwcorr prob_20yI0_hh prob_20yI0_male prob_20yI0_female prob_20yI1_hh prob_20yI1_male prob_20yI1_female [fw=${factor_op}] 
sum prob_20yI1_hh prob_20yI1_male prob_20yI1_female if female_dummy==1 [fw=${factor_op}], d

quietly {
foreach x in PW_hh PW2_hh {    // Non-contributory future wealth, Non-contributory Total Wealth, 
g `x'_NoSy = CBeta*max(0, `x'*YLaborI - PW2_tax) // Deduce tax paid from future total wealth
g ln_`x'_NoSy = ln(`x'_NoSy) //ln(`x'_y)
}
foreach x in PWI_hh PW2I_hh {  // Non-contributory future wealth, Non-contributory Total Wealth, 
g `x'_NoSy = CBeta*max(0, `x'*YLaborI - PW2I_tax) // Deduce tax paid from future total wealth
g ln_`x'_NoSy = ln(`x'_NoSy) //ln(`x'_y)
}	//		//		//		//		//		//

foreach x in FE_hh FENL_hh PW_hh_past PWI_hh_past { //PW_hh PW_hh_past PW2_hh
g `x'_y = CBeta*`x'*YLaborI //either exp(ytoth) or YLaborI // Multiply ratio by Labor Income and by the theoretical marginal propensity to consume out of wealth
g ln_`x'_y = ln(`x'_y)
}
foreach x in PW_hh PW2_hh TotalW_hh {
g `x'_y = CBeta*max(0, `x'*YLaborI + PW2_APS - PW2_tax) // Sum Solidarity payments, Deduce tax paid from future total wealth
g ln_`x'_y = ln(`x'_y)
}
foreach x in PWI_hh PW2I_hh TotalWI_hh {
g `x'_y = CBeta*max(0, `x'*YLaborI + PW2I_APS - PW2I_tax) // Sum Solidarity payments, Deduce tax paid from future total wealth
g ln_`x'_y = ln(`x'_y)
}
foreach x in PW2_APS PW2_tax PW2I_APS PW2I_tax {
g `x'_y = CBeta*max(0, `x') // Sum Solidarity payments, Deduce tax paid from future total wealth
g ln_`x'_y = ln(`x'_y)
}

}
drop female_pension_age-monthly_annuity_sum_female
order Male_* Female_*, last
