// Importing previous statistics of Future Earnings, Future Pension Wealth (PW) 
// and accumulated Past Pension Wealth (PW_past) by age, year, and x characteristics (education, Informal work status)
capture drop CBet* DS_F* EI_* FE_* PW*
capture drop life_expe*
capture drop LFP_Women_P* LFP_Men_P* 
capture drop ln_wage_t1_W* ln_wage_t1_M* 
capture drop ILFP_Women_P* ILFP_Men_P* 
capture drop PCS_Men_P* PCS_Women_P*

// Probability of Contribution
joinby educ zona2 quintile_h sector_ind grupo_edad2 using "$path_epf\data_results\PCS_2.dta", unmatched(master) update
drop _merge
foreach var of varlist LFP_Women_PSS-PCS_Women_P1_ISS {
rename `var' ss_`var' 
}
joinby year educ zona2 quintile_h sector_ind grupo_edad2 using "$path_epf\data_results\PCS_2_yr.dta", unmatched(master) update
quietly  {
foreach var of varlist LFP_Women_PSS-PCS_Women_P1_ISS {
replace `var' = ss_`var' if `var'==.
drop ss_`var'
}
}
drop _merge 
g edad_original = edad
*joinby zona2 grupo_edad2 educ using "$path_epf\data_results\WageGR_3.dta", unmatched(master) update
*joinby zona2 educ edad using "$path_epf\data_results\WageGR_3cum.dta", unmatched(master) update
joinby zona2 educ edad using "$path_epf\data_results\WageGR_3cum70.dta", unmatched(master) update
drop _merge ln_wage_gr0cum
rename ln_wage_gr0_pMcum ln_wage_gr0_pMcum1
rename ln_wage_gr0_pWcum ln_wage_gr0_pWcum1
g ylabor_male_min = exp( ln(income_male_spouse_pot) - max(0,ln_wage_gr0_pMcum1))
g ylabor_female_min = exp( ln(income_female_spouse_pot) - max(0,ln_wage_gr0_pWcum1))
replace edad = 50
joinby zona2 educ edad using "$path_epf\data_results\WageGR_3cum70.dta", unmatched(master) update
g ylabor_male_max = exp( ln(income_male_spouse_pot) + max(0,ln_wage_gr0_pMcum) - max(0,ln_wage_gr0_pMcum1))
g ylabor_female_max = exp( ln(income_female_spouse_pot) + max(0,ln_wage_gr0_pWcum) - max(0,ln_wage_gr0_pWcum1))
drop _merge edad ln_wage_gr0cum ln_wage_gr0_pWcum ln_wage_gr0_pMcum ln_wage_gr0_pWcum1 ln_wage_gr0_pMcum1
sum ylabor_male_max ylabor_male_min income_male_spouse income_male_spouse_pot if a1==1 & male_dummy==1
pwcorr ylabor_male_max ylabor_male_min income_male_spouse income_male_spouse_pot if a1==1 & male_dummy==1
sum ylabor_female_max ylabor_female_min income_female_spouse income_female_spouse_pot if a1==1 & female_dummy==1
pwcorr ylabor_female_max ylabor_female_min income_female_spouse income_female_spouse_pot if a1==1 & female_dummy==1
rename edad_original edad

*g edad_tope_male = 

// Future Earnings (Discounted)
sum year edad sexo zona2
joinby edad using "$path_epf\data_results\CBeta_65.dta", unmatched(master) update
tab _merge
drop _merge
g DS_FS = 1/CBeta  // discounted sum of future stream of payment 1+beta+ beta-square+...+beta(T-1) =  (1-beta)/(1-beta(T))
joinby sexo year using "$path_epf2\Chile_CELADE_lifeexp.dta",  unmatched(master) update
tab _merge
drop _merge
g DS_FS2 = (1-${discount_factor})/(1- ${discount_factor}^(66-edad)) if edad>=25 & edad<=65
replace DS_FS2 = 1/DS_FS2
g DS_FS0 = (1-${discount_factor})/(1- ${discount_factor}^(life_expectancy0-edad)) if edad>=25 & edad<=life_expectancy0
replace DS_FS0 = 1/DS_FS0
rename CBeta CBeta00
g CBeta = (1-${discount_factor})/(1- ${discount_factor}^(life_expectancy0-edad)) if edad>=25 & edad<=life_expectancy0
sum CBet* DS_F*
pwcorr CBet* DS_F*
joinby edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\FE_x0_65.dta", unmatched(master) update
tab _merge
drop _merge FE_x_cum_alt FE_x_cum_alt2
foreach var of varlist EI_x-FE_x_cum_P0 {
rename `var' ss_`var' 
}
joinby year edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\FE_x0_65_yr.dta", unmatched(master) update
tab _merge
drop _merge FE_x_cum_alt FE_x_cum_alt2
pwcorr ss_EI_x-FE_x_cum_P0  //correlations between measures with time and without time are between 98.85 and 99.9%
sum ss_EI_x-FE_x_cum_P0
quietly  {
foreach var of varlist EI_x-FE_x_cum_P0 {
replace `var' = ss_`var' if `var'==.
drop ss_`var'
}
}
sum EI_x-FE_x_cum_P0
rename EI_x EI_x0

// Future Value of Pension Contributions
joinby edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\PW_x0_65.dta", unmatched(master) update
tab _merge
drop _merge PW_x_cum_alt PW_x_cum_alt2
foreach var of varlist EI_x-PW_x_cum_P0 PW_x_cum_P1_I1 PW_x_cum_P1_ISS {
rename `var' ss_`var' 
}
joinby year edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\PW_x0_65_yr.dta", unmatched(master) update
tab _merge
drop _merge PW_x_cum_alt PW_x_cum_alt2
pwcorr EI_x0 ss_EI_x-PW_x_cum_P0  //correlations between measures with time and without time are above 99% for PW_x_cum_PSS and PW_x_cum_P1
sum EI_x0 ss_EI_x-PW_x_cum_P0  // but only 59.5% for PW_x_cum_P0
replace  PW_x_cum_P0 = max( PW_x_cum_P0,  ss_PW_x_cum_P0)
quietly  {
foreach var of varlist EI_x-PW_x_cum_P0 PW_x_cum_P1_I1 PW_x_cum_P1_ISS {
replace `var' = ss_`var' if `var'==.
drop ss_`var'
}
}
sum EI_x-PW_x_cum_P0
rename EI_x EI_x00

// Present Value of Past Pension Contributions
joinby edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\PW_Past_x0.dta", unmatched(master) update
tab _merge
drop _merge PW_x_cum_alt_past PW_x_cum_alt2_past
foreach var of varlist EI_x-PW_x_cum_P0_past PW_x_cum_P1_I1_past PW_x_cum_P1_ISS_past {
rename `var' ss_`var' 
}
joinby year edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\PW_Past_x0_yr.dta", unmatched(master) update
tab _merge
drop _merge PW_x_cum_alt_past PW_x_cum_alt2_past
pwcorr EI_x0 ss_EI_x-PW_x_cum_P0_past  //correlations between measures with time and without time are above 93%
sum EI_x0 ss_EI_x-PW_x_cum_P0_past
quietly  {
foreach var of varlist EI_x-PW_x_cum_P0_past PW_x_cum_P1_I1_past PW_x_cum_P1_ISS_past {
replace `var' = ss_`var' if `var'==.
drop ss_`var'
}
}
foreach var of varlist EI_x-PW_x_cum_P0_past PW_x_cum_P1_I1_past PW_x_cum_P1_ISS_past {
rename `var' ss_`var' 
}
joinby year edad sexo zona2 educ sector_ind quintile_h using "$path_epf\data_results\PW_Past_x0_yr2.dta", unmatched(master) update
tab _merge
drop _merge PW_x_cum_alt_past PW_x_cum_alt2_past
pwcorr EI_x0 ss_EI_x-PW_x_cum_P0_past  //correlations between measures with time and without time are above 93%
sum EI_x0 ss_EI_x-PW_x_cum_P0_past
quietly  {
foreach var of varlist EI_x-PW_x_cum_P0_past PW_x_cum_P1_I1_past PW_x_cum_P1_ISS_past {
replace `var' = ss_`var' if `var'==.
drop ss_`var'
}
}
sum EI_x- PW_x_cum_P0_past
rename EI_x EI_x000
pwcorr EI_*
replace EI_x0 = EI_x00 if EI_x0==.
replace EI_x0 = EI_x000 if EI_x0==.
drop EI_x00 EI_x000
rename EI_x0 EI_x
pwcorr EI_x-PW_x_cum_P0_past
sum EI_x-PW_x_cum_P0_past
