global path_epf "C:\DAT\DPF\Analisis Financiero\Sector Hogares\Encuestas\EPF\2016_2017\"
global path_s0 "C:\DAT\EFH\Proyectos\2020_EPF\" //"C:\DAT\EFH\Proyectos\2020_EFH_SUPEN\" 
global path_g3 = "C:\DAT\EFH\Proyectos\2020_EPF\\regs\"
do "$path_s0\format_codes\\EPF_2017.do"  
do "$path_s0\\format_codes\\EPF_2017_DurSDurNDur_Tot.do" 
clear all

global data_save_emp "emp1"
global ln_inc_e 1 // 0 - Income is Normally-distributed, 1 - Income is Log-Normal
global print_regs  1 // 1- Prints regressions in a log file, 0- Does not print regressions
global esi_bt_op 0 // // 1 - Use ESI bootstrap sample for unemployment probs, 0 - Use complete ESI sample for unemployment probs
global un_inc_q  0 // 1- Include income quintiles for unemployment, 0- Exclude quintiles
global un_change 0 // 0 - Does not change unemployment rates of the ESI
global UF_op 2  //2 // 0 - Current pesos, 1 - 1997 Pesos, 2 - 2012 Pesos
global PBS_op 1 // 0 - No Pilar Basico Solidario, 1 - Includes Pilar Basico Solidario
global FER_op 1 // 0 - No Female Early Retirement, 1 - Female Early Retirement at age 60

program drop _all
clear
clear matrix
clear mata
drop _all
capture log close
set more off
global path_empleo "C:\DAT\EFH\Proyectos\2010_Household Risk\household_risk\empleo"
global pathdo2 "C:\DAT\EFH\Proyectos\2010_Household Risk\household_risk\empleo"
global path_bs_do "C:\DAT\EFH\Proyectos\2010_Household Risk"
global path4 "$pathdo2\bases"
global path2b "$path4"

global path_epf "C:\DAT\EFH\Proyectos\2020_EPF"
global path5bbb "C:\DAT\EFH\Proyectos\2020_EPF\format_codes"
global path_epf_TS "$path_epf\\data_TS\"

global path4b "$path_epf\\data_results\" //"C:\DAT\EFH\Proyectos\2014_EPF_durables_nondurables\data_results"
adopath + "$path_epf\format_codes"
global path_d "C:\Docs2\EFH_CDI\Savings_EPF"
global path_g "$path_d\graphics"
global path_g1 "$path_d\graphs"
global path_epf2 "$path_epf\\data_results\"
global path_epf3 "$path_epf\\graphs\"
global factor_op "factor_all"
global age_retirement = 65  
global pcrate=0.10 // Pension contribution rate 
global tope_2013 = 1606543 
global discount_factor = 1/1.04
global R=65
global blife=25
global wlife=${R}-${blife}

do "C:\DAT\EFH\Proyectos\2020_EPF\data_TS\Consumption_WageVolatility.do"
run "C:\DAT\EFH\2007\Data\do_files\factores_do\pctile_wgts.do"
run "C:\DAT\EFH\2007\Data\do_files\factores_do\mean_wgts.do"
run "$pathdo2\linear_reg_impute3.do" 
run "$path_bs_do\layoff_jobfind0" 
run "$path_bs_do\income_shock0"
do "$path_epf\format_codes\Ingreso_bruto.do"  
do "$path_epf\format_codes\Pension_income.do"
do "$path_epf\format_codes\Pension_PBS.do"    
do "$path_epf\format_codes\predictLS_old_new1.do" 
do "$path_epf\format_codes\Pension_PGU.do"
do "$path_epf\format_codes\Pension_PBS_2019.do"
do "$path_epf\format_codes\Pension_PBS_2008.do"
do "$path_epf\format_codes\Pension_PBS_PASIS.do"
do "$path_epf\format_codes\Pension_PASIS.do"
do "$path_epf\format_codes\Pension_Contr_APS_total.do" 
do "$path_epf\format_codes\Pension_Reparto.do" 
do "$path_epf\format_codes\Pension_Future.do"   

// Format ENE-ESI datasets
do "$path_epf\format_codes\esi_format.do" 
do "$path_epf\format_codes\panel_esi_allyrs_FLP.do"
do "$path_epf\format_codes\panel_esi_ILFP.do"
do "$path_epf\format_codes\panel_esi_income_growth0.do"

// Format EPF datasets 
run "$path_epf\format_codes\format_epf_1997.do"  
run "$path_epf\format_codes\format_epf_2007.do"
run "$path_epf\format_codes\format_epf_2012.do"
do "$path_epf\format_codes\format_epf_2017.do"

do "$path_epf\format_codes\format_epf_all.do"
do "$path_epf\format_codes\EPF_labor_risk_vintage.do" // Add ENE unemployment/income stats for each 1996-2017 quarter
do "$path_epf\format_codes\EPF_all_LFP_ILFP_FE_PW_PWpast.do" 

// MLE-OLS analysis for each EPF data  
foreach num of numlist 2017 2012 1997 {  // Do code only once (takes a long time)
display(`num')
global Ewave=`num' // choose 2017 for last wave, choose 2012 for 2012+2017, choose 1997 to get all the waves
do "$path_epf\format_codes\PensionReformsFormat.do"  
}
global Ewave=2017
do "$path_epf\format_codes\Regs_analysis_tot.do"     
do "$path_epf\format_codes\Tables_Figures_RepRatios.do"
do "$path_epf\format_codes\Tables_SRates.do" //  choose m=7 or m=14
do "$path_epf\format_codes\Tables_X.do"  // Descriptive Stats
